Index: general/genlib/apr.xml
===================================================================
--- general/genlib/apr.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ general/genlib/apr.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -94,5 +94,5 @@
 -->
 <screen><userinput>sed -e "/shift/i \
-\    if (xt-&gt;tm_mon &lt; 0 || xt-&gt;tm_mon &gt;= 12) return APR_EBADDATE;" 
+\    if (xt-&gt;tm_mon &lt; 0 || xt-&gt;tm_mon &gt;= 12) return APR_EBADDATE;" \
     -i time/unix/time.c</userinput></screen>
 
Index: general/genlib/grantlee.xml
===================================================================
--- general/genlib/grantlee.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ general/genlib/grantlee.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/qca.xml
===================================================================
--- general/genlib/qca.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ general/genlib/qca.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/pinentry.xml
===================================================================
--- general/genutils/pinentry.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ general/genutils/pinentry.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -8,7 +8,7 @@
   <!ENTITY pinentry-download-ftp  "&gnupg-ftp;/pinentry/pinentry-&pinentry-version;.tar.bz2">
   <!ENTITY pinentry-download-ftp  " ">
-  <!ENTITY pinentry-md5sum        "d7f646d373b722317d985cddc1d107c1">
-  <!ENTITY pinentry-size          "504 KB">
-  <!ENTITY pinentry-buildsize     "15 MB">
+  <!ENTITY pinentry-md5sum        "32e09a982711d6e705f9d89020424c2d">
+  <!ENTITY pinentry-size          "488 KB">
+  <!ENTITY pinentry-buildsize     "6.3 MB">
   <!ENTITY pinentry-time          "less than 0.1 SBU">
 ]>
@@ -44,5 +44,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/poppler.xml
===================================================================
--- general/graphlib/poppler.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ general/graphlib/poppler.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -44,5 +44,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/qpdf.xml
===================================================================
--- general/graphlib/qpdf.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ general/graphlib/qpdf.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/qrencode.xml
===================================================================
--- general/graphlib/qrencode.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ general/graphlib/qrencode.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/pycairo.xml
===================================================================
--- general/prog/pycairo.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ general/prog/pycairo.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -30,5 +30,5 @@
       </para>
 
-      &lfs110_checked;
+      &lfs110a_checked;
       <!-- Does not use gcc -->
 
Index: general/prog/pygobject3.xml
===================================================================
--- general/prog/pygobject3.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ general/prog/pygobject3.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -33,5 +33,5 @@
       </para>
 
-      &lfs110_checked;
+      &lfs110a_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/sysprof.xml
===================================================================
--- general/prog/sysprof.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ general/prog/sysprof.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/elogind.xml
===================================================================
--- general/sysutils/elogind.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ general/sysutils/elogind.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -86,9 +86,9 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
+      <xref linkend="linux-pam"/> (required for Xorg),
+      <xref linkend="polkit"/> (runtime), 
       <xref linkend="DocBook"/>,
       <xref linkend="docbook-xsl"/>, and
-      <xref linkend="libxslt"/> (all three to build the man pages), 
-      <xref linkend="linux-pam"/>, and
-      <xref linkend="polkit"/> (runtime)
+      <xref linkend="libxslt"/> (all three to build the man pages) 
     </para>
 
Index: general/sysutils/upower.xml
===================================================================
--- general/sysutils/upower.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ general/sysutils/upower.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ introduction/welcome/changelog.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -48,4 +48,12 @@
           <para>[ken] - Update to qtwebengine-5.15.6 (security fixes).
           Fixes <ulink url="&blfs-ticket-root;15471">#15471</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to pinentry-1.2.0. Fixes
+          <ulink url="&blfs-ticket-root;15461">#15461</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gdl-3.40.0. Fixes
+          <ulink url="&blfs-ticket-root;15468">#15468</ulink>.</para>
         </listitem>
         <listitem>
Index: kde/kf5-apps/ark5.xml
===================================================================
--- kde/kf5-apps/ark5.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ kde/kf5-apps/ark5.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/gwenview.xml
===================================================================
--- kde/kf5-apps/gwenview.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ kde/kf5-apps/gwenview.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/k3b.xml
===================================================================
--- kde/kf5-apps/k3b.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ kde/kf5-apps/k3b.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -53,5 +53,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/kdenlive5.xml
===================================================================
--- kde/kf5-apps/kdenlive5.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ kde/kf5-apps/kdenlive5.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/khelpcenter.xml
===================================================================
--- kde/kf5-apps/khelpcenter.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ kde/kf5-apps/khelpcenter.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/kmix5.xml
===================================================================
--- kde/kf5-apps/kmix5.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ kde/kf5-apps/kmix5.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/konsole5.xml
===================================================================
--- kde/kf5-apps/konsole5.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ kde/kf5-apps/konsole5.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/libkdcraw.xml
===================================================================
--- kde/kf5-apps/libkdcraw.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ kde/kf5-apps/libkdcraw.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/libkexiv2.xml
===================================================================
--- kde/kf5-apps/libkexiv2.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ kde/kf5-apps/libkexiv2.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/okular5.xml
===================================================================
--- kde/kf5-apps/okular5.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ kde/kf5-apps/okular5.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5/kf5-frameworks.xml
===================================================================
--- kde/kf5/kf5-frameworks.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ kde/kf5/kf5-frameworks.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -33,5 +33,5 @@
   </para>
 
-  &lfs110_checked;
+  &lfs110a_checked;
 
   <para>
Index: kde/libdbusmenuqt.xml
===================================================================
--- kde/libdbusmenuqt.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ kde/libdbusmenuqt.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/phonon-backend-gstreamer.xml
===================================================================
--- kde/phonon-backend-gstreamer.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ kde/phonon-backend-gstreamer.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/phonon-backend-vlc.xml
===================================================================
--- kde/phonon-backend-vlc.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ kde/phonon-backend-vlc.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/phonon.xml
===================================================================
--- kde/phonon.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ kde/phonon.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/plasma-wayland-protocols.xml
===================================================================
--- kde/plasma-wayland-protocols.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ kde/plasma-wayland-protocols.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -33,5 +33,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/plasma5/plasma-all.xml
===================================================================
--- kde/plasma5/plasma-all.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ kde/plasma5/plasma-all.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -31,5 +31,5 @@
   </para>
 
-  &lfs110_checked;
+  &lfs110a_checked;
 
   <para>
Index: kde/polkit-qt.xml
===================================================================
--- kde/polkit-qt.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ kde/polkit-qt.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/audioutils/kwave.xml
===================================================================
--- multimedia/audioutils/kwave.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ multimedia/audioutils/kwave.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/pulseaudio.xml
===================================================================
--- multimedia/libdriv/pulseaudio.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ multimedia/libdriv/pulseaudio.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/videoutils/vlc.xml
===================================================================
--- multimedia/videoutils/vlc.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ multimedia/videoutils/vlc.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: packages.ent
===================================================================
--- packages.ent	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ packages.ent	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -261,5 +261,5 @@
 <!ENTITY intltool-version             "0.50.2">
 <!ENTITY lsof-version                 "4.91">
-<!ENTITY pinentry-version             "1.1.1">
+<!ENTITY pinentry-version             "1.2.0">
 <!ENTITY rarian-version               "0.8.1">
 <!ENTITY recode-version               "3.6">
@@ -743,5 +743,5 @@
 <!ENTITY gdk-pixbuf-version           "2.42.6">
 <!ENTITY gdk-pixbuf-xlib-version      "2.40.2">
-<!ENTITY gdl-version                  "3.34.0">
+<!ENTITY gdl-version                  "3.40.0">
 <!ENTITY glew-version                 "2.2.0">
 <!ENTITY glu-version                  "9.0.2">
Index: postlfs/editors/kate5.xml
===================================================================
--- postlfs/editors/kate5.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ postlfs/editors/kate5.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -33,5 +33,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/gnupg2.xml
===================================================================
--- postlfs/security/gnupg2.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ postlfs/security/gnupg2.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/iptables.xml
===================================================================
--- postlfs/security/iptables.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ postlfs/security/iptables.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/virtualization/qemu.xml
===================================================================
--- postlfs/virtualization/qemu.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ postlfs/virtualization/qemu.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: pst/printing/gs.xml
===================================================================
--- pst/printing/gs.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ pst/printing/gs.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -48,5 +48,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: pst/ps/mupdf.xml
===================================================================
--- pst/ps/mupdf.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ pst/ps/mupdf.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: server/databases/lmdb.xml
===================================================================
--- server/databases/lmdb.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ server/databases/lmdb.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/icons/breeze-icons.xml
===================================================================
--- x/icons/breeze-icons.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ x/icons/breeze-icons.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/icons/oxygen-icons5.xml
===================================================================
--- x/icons/oxygen-icons5.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ x/icons/oxygen-icons5.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-util-cursor.xml
===================================================================
--- x/installing/xcb-util-cursor.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ x/installing/xcb-util-cursor.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/atkmm.xml
===================================================================
--- x/lib/atkmm.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ x/lib/atkmm.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/cairomm-1.0.xml
===================================================================
--- x/lib/cairomm-1.0.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ x/lib/cairomm-1.0.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/gdl.xml
===================================================================
--- x/lib/gdl.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ x/lib/gdl.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -7,7 +7,7 @@
   <!ENTITY gdl-download-http "&gnome-download-http;/gdl/&gnome-minor-34;/gdl-&gdl-version;.tar.xz">
   <!ENTITY gdl-download-ftp  "&gnome-download-ftp;/gdl/&gnome-minor-34;/gdl-&gdl-version;.tar.xz">
-  <!ENTITY gdl-md5sum        "d624f2ca85555402828d5c4a98912b82">
-  <!ENTITY gdl-size          "520 KB">
-  <!ENTITY gdl-buildsize     "14 MB">
+  <!ENTITY gdl-md5sum        "21df1254b49b74a498feb99be57364d0">
+  <!ENTITY gdl-size          "524 KB">
+  <!ENTITY gdl-buildsize     "9.8 MB">
   <!ENTITY gdl-time          "0.1 SBU">
 ]>
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/gtkmm2.xml
===================================================================
--- x/lib/gtkmm2.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ x/lib/gtkmm2.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/pangomm.xml
===================================================================
--- x/lib/pangomm.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ x/lib/pangomm.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/qt5.xml
===================================================================
--- x/lib/qt5.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ x/lib/qt5.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xsoft/other/xscreensaver.xml
===================================================================
--- xsoft/other/xscreensaver.xml	(revision d8853887d2de5d325bfa1f18710c4b88e1e133b0)
+++ xsoft/other/xscreensaver.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
@@ -10,5 +10,5 @@
   <!ENTITY xscreensaver-size          "27 MB">
   <!ENTITY xscreensaver-buildsize     "244 MB">
-  <!ENTITY xscreensaver-time          "o.3 SBU (Using parallelism=4)">
+  <!ENTITY xscreensaver-time          "0.3 SBU (Using parallelism=4)">
 ]>
 