Index: general.ent
===================================================================
--- general.ent	(revision d34eadb05b1d3d51e74c2641561864a31ca65aee)
+++ general.ent	(revision 11eb3ae5ed987b279efa3505fd1b67f4d8059f72)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "23">                   <!-- Always 2 digits -->
+<!ENTITY day          "24">                   <!-- Always 2 digits -->
 <!ENTITY month        "07">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "July 23rd, &year;">
+<!ENTITY releasedate  "July 24th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/libseccomp.xml
===================================================================
--- general/genlib/libseccomp.xml	(revision d34eadb05b1d3d51e74c2641561864a31ca65aee)
+++ general/genlib/libseccomp.xml	(revision 11eb3ae5ed987b279efa3505fd1b67f4d8059f72)
@@ -7,8 +7,8 @@
   <!ENTITY libseccomp-download-http "https://github.com/seccomp/libseccomp/releases/download/v&libseccomp-version;/libseccomp-&libseccomp-version;.tar.gz">
   <!ENTITY libseccomp-download-ftp  " ">
-  <!ENTITY libseccomp-md5sum        "1de97a3c04889a790d97722d08f4a8d1">
-  <!ENTITY libseccomp-size          "588 KB">
-  <!ENTITY libseccomp-buildsize     "6.7 MB (additional 5.0 MB for tests)">
-  <!ENTITY libseccomp-time          "less than 0.1 SBU (additional 2.6 SBU for tests)">
+  <!ENTITY libseccomp-md5sum        "463b688bf7d227325b5a465b6bdc3ec4">
+  <!ENTITY libseccomp-size          "624 KB">
+  <!ENTITY libseccomp-buildsize     "7.6 MB (additional 5.8 MB for tests)">
+  <!ENTITY libseccomp-time          "less than 0.1 SBU (additional 2.0 SBU for tests)">
 <!-- EDITORS NOTE:
    This library is heavily dependent on system calls at the time of it's release. 
Index: general/prog/llvm.xml
===================================================================
--- general/prog/llvm.xml	(revision d34eadb05b1d3d51e74c2641561864a31ca65aee)
+++ general/prog/llvm.xml	(revision 11eb3ae5ed987b279efa3505fd1b67f4d8059f72)
@@ -9,15 +9,15 @@
   <!ENTITY llvm-download-http "&llvm-url;/llvm-&llvm-version;.src.tar.xz">
   <!ENTITY llvm-download-ftp  " ">
-  <!ENTITY llvm-md5sum        "693cefdc49d618f828144486a18b473f">
+  <!ENTITY llvm-md5sum        "71c68c526cbbf1674b5aafc5542b336c">
   <!ENTITY llvm-size          "34 MB">
-  <!ENTITY llvm-buildsize     "2.3 GB (with Clang, 699 MB installed, add 18 GB for tests)">
-  <!ENTITY llvm-time          "30 SBU (with Clang and parallelism=4, add 5.8 SBU for tests)">
+  <!ENTITY llvm-buildsize     "2.8 GB (with Clang, 659 MB installed, add 16 GB for tests)">
+  <!ENTITY llvm-time          "30 SBU (with Clang and parallelism=4, add 15 SBU for tests)">
 
   <!ENTITY clang-download-http "&llvm-url;/clang-&llvm-version;.src.tar.xz">
-  <!ENTITY clang-md5sum        "717ef92318fed4dbe1ee058368cfb552">
+  <!ENTITY clang-md5sum        "6c8b56f531876fd24e06257a2d8ce422">
   <!ENTITY clang-size          "14 MB">
 
   <!ENTITY compiler-rt-download-http "&llvm-url;/compiler-rt-&llvm-version;.src.tar.xz">
-  <!ENTITY compiler-rt-md5sum        "3a8477233f69600f3e2ca997405c29db">
+  <!ENTITY compiler-rt-md5sum        "970835d14e9c08a68c4b2ff3931bada7">
   <!ENTITY compiler-rt-size          "2.0 MB">
 ]>
@@ -164,5 +164,5 @@
       <xref linkend="PyYAML"/>, <!-- for yaml2obj -->
       <xref linkend="zip"/>,
-      <ulink url="http://www.ocaml.org/">OCaml</ulink>,
+      <ulink url="https://ocaml.org/">OCaml</ulink>,
       <ulink url="https://pypi.org/project/psutil/">psutil</ulink>,
       <ulink url="https://pypi.python.org/pypi/recommonmark">recommonmark</ulink>,
@@ -294,6 +294,6 @@
       <parameter>-DCMAKE_BUILD_TYPE=Release</parameter>: This switch enables
       compiler optimizations in order to speed up the code and reduce its size.
-      It also disables some compile checks, not necessary on a production
-      system.
+      It also disables some compile checks which are not necessary on a 
+      production system.
     </para>
 
@@ -351,19 +351,23 @@
           bugpoint, c-index-test, clang, clang++ (symlinks to
           clang-&lt;version&gt;), clang-&lt;version&gt;, clang-check, clang-cl,
-          clang-cpp (last two symlinks to clang), clang-format, clang-func-mapping
-          clang-import-test, clang-offload-bundler, clang-refactor, clang-rename,
-          diagtool, dsymutil, git-clang-format, hmap-tool, llc, lli, llvm-ar,
-          llvm-as, llvm-bcanalyzer, llvm-cat, llvm-cfi-verify, llvm-config,
-          llvm-cov, llvm-c-test, llvm-cvtres, llvm-cxxdump, llvm-cxxfilt,
+          clang-cpp (last two symlinks to clang), clang-format, clang-extdef-mapping,
+          clang-import-test, clang-offload-bundler, clang-offload-wrapper, 
+          clang-refactor, clang-rename, clang-scan-deps,
+          diagtool, dsymutil, git-clang-format, hmap-tool, llc, lli, 
+          llvm-addr2line, llvm-ar, llvm-as, llvm-bcanalyzer, llvm-cat, 
+          llvm-cfi-verify, llvm-config, llvm-cov, llvm-c-test, llvm-cvtres, 
+          llvm-cxxdump, llvm-cxxfilt, llvm-cxxmap,
           llvm-diff, llvm-dis, llvm-dlltool (symlink to llvm-ar), llvm-dwarfdump,
-          llvm-dwp, llvm-exegenesis, llvm-extract, llvm-lib (symlink to llvm-ar),
-          llvm-link, llvm-lto, llvm-lto2, llvm-mc, llvm-mca, llvm-modextract,
+          llvm-dwp, llvm-elfabi, llvm-exegenesis, llvm-extract, llvm-ifs,
+          llvm-install-name-tool (symlink to llvm-objcopy), llvm-jitlink,
+          llvm-lib (symlink to llvm-ar), llvm-link, llvm-lipo, llvm-lto, 
+          llvm-lto2, llvm-mc, llvm-mca, llvm-modextract,
           llvm-mt, llvm-nm, llvm-objcopy, llvm-objdump, llvm-opt-report,
           llvm-pdbutil, llvm-profdata, llvm-ranlib (symlink to llvm-ar), llvm-rc,
-          llvm-readelf (symlink to llvm-readobj), llvm-readobj, llvm-rtdyld,
-          llvm-size, llvm-split, llvm-stress, llvm-strings, llvm-strip (symlink
-          to llvm-objcopy), llvm-symbolizer, llvm-tblgen, llvm-undname, llvm-xray,
-          obj2yaml, opt, sancov, sanstats, scan-build, scan-view,
-          verify-uselistorder, and yaml2obj
+          llvm-readelf (symlink to llvm-readobj), llvm-readobj, llvm-reduce, 
+          llvm-rtdyld, llvm-size, llvm-split, llvm-stress, llvm-strings, 
+          llvm-strip (symlink to llvm-objcopy), llvm-symbolizer, llvm-tblgen, 
+          llvm-undname, llvm-xray, obj2yaml, opt, sancov, sanstats, scan-build,
+          scan-view, verify-uselistorder, and yaml2obj
         </seg>
         <seg>
@@ -371,4 +375,5 @@
           libLLVM*.a (75 libraries), 
           libLTO.so, 
+          libRemarks.so, 
           libclang.so,
           and libclang*.a (63 libraries)
@@ -378,5 +383,5 @@
           /usr/lib/{clang,cmake/{clang,llvm}},
           /usr/share/{clang,opt-viewer,scan-build,scan-view}, and
-          /usr/share/doc/llvm-&llvm-version;}
+          /usr/share/doc/llvm-&llvm-version;
         </seg>
       </seglistitem>
@@ -438,4 +443,17 @@
       </varlistentry>
 
+      <varlistentry id="clang-extdef-mapping">
+        <term><command>clang-extdef-mapping</command></term>
+        <listitem>
+          <para>
+            is a tool to collect the USR name and location of external
+            definitions in a source file.
+          </para>
+          <indexterm zone="llvm clang-extdef-mapping">
+            <primary sortas="b-clang-extdef-mapping">clang-extdef-mapping</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="clang-format">
         <term><command>clang-format</command></term>
@@ -451,4 +469,5 @@
       </varlistentry>
 
+ <!--
       <varlistentry id="clang-func-mapping">
         <term><command>clang-func-mapping</command></term>
@@ -463,5 +482,5 @@
         </listitem>
       </varlistentry>
-
+-->
       <varlistentry id="clang-offload-bundler">
         <term><command>clang-offload-bundler</command></term>
@@ -477,9 +496,21 @@
       </varlistentry>
 
+      <varlistentry id="clang-offload-wrapper">
+        <term><command>clang-offload-bundler</command></term>
+        <listitem>
+          <para>
+            is a tool to create wrapper bitcode for offload target binaries.
+          </para>
+          <indexterm zone="llvm clang-offload-wrapper">
+            <primary sortas="b-clang-offload-wrapper">clang-offload-wrapper</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="clang-refactor">
         <term><command>clang-refactor</command></term>
         <listitem>
           <para>
-            is a Clang-based refactoring tool for C, C++ and Objective.
+            is a Clang-based refactoring tool for C, C++ and Objective-C.
           </para>
           <indexterm zone="llvm clang-refactor">
@@ -501,4 +532,16 @@
       </varlistentry>
 
+      <varlistentry id="clang-scan-deps">
+        <term><command>clang-scan-deps</command></term>
+        <listitem>
+          <para>
+            is a tool to scan for dependencies in a source file.
+          </para>
+          <indexterm zone="llvm clang-scan-deps">
+            <primary sortas="b-clang-scan-deps">clang-scan-deps</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="diagtool">
         <term><command>diagtool</command></term>
@@ -572,4 +615,17 @@
           <indexterm zone="llvm lli">
             <primary sortas="b-lli">lli</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="llvm-addr2line">
+        <term><command>llvm-addr2line</command></term>
+        <listitem>
+          <para>
+            is a tool used to convert addresses into file names and line
+            numbers.
+          </para>
+          <indexterm zone="llvm llvm-addr2line">
+            <primary sortas="b-llvm-addr2line">llvm-addr2line</primary>
           </indexterm>
         </listitem>
@@ -710,4 +766,16 @@
       </varlistentry>
 
+      <varlistentry id="llvm-cxxmap">
+        <term><command>llvm-cxxmap</command></term>
+        <listitem>
+          <para>
+            is used to remap C++ mangled symbols.
+          </para>
+          <indexterm zone="llvm llvm-cxxmap">
+            <primary sortas="b-llvm-cxxmap">llvm-cxxmap</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="llvm-diff">
         <term><command>llvm-diff</command></term>
@@ -755,4 +823,16 @@
           <indexterm zone="llvm llvm-dwp">
             <primary sortas="b-llvm-dwp">llvm-dwp</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="llvm-elfabi">
+        <term><command>llvm-elfabi</command></term>
+        <listitem>
+          <para>
+            is used to read information about an ELF binary's ABI.
+          </para>
+          <indexterm zone="llvm llvm-elfabi">
+            <primary sortas="b-llvm-elfabi">llvm-elfabi</primary>
           </indexterm>
         </listitem>
@@ -786,4 +866,41 @@
       </varlistentry>
 
+      <varlistentry id="llvm-ifs">
+        <term><command>llvm-ifs</command></term>
+        <listitem>
+          <para>
+            is used to merge interface stubs with object files.
+          </para>
+          <indexterm zone="llvm llvm-ifs">
+            <primary sortas="b-llvm-ifs">llvm-ifs</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="llvm-install-name-tool">
+        <term><command>llvm-install-name-tool</command></term>
+        <listitem>
+          <para>
+            is used to rewrite load commands into MachO binary format.
+          </para>
+          <indexterm zone="llvm llvm-install-name-tool">
+            <primary sortas="b-llvm-install-name-tool">llvm-install-name-tool</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="llvm-jitlink">
+        <term><command>llvm-jitlink</command></term>
+        <listitem>
+          <para>
+            is used to parse relocatable object files to make their contents
+            executable in a target process.
+          </para>
+          <indexterm zone="llvm llvm-jitlink">
+            <primary sortas="b-llvm-jitlink">llvm-jitlink</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="llvm-link">
         <term><command>llvm-link</command></term>
@@ -798,4 +915,16 @@
       </varlistentry>
 
+      <varlistentry id="llvm-lipo">
+        <term><command>llvm-lipo</command></term>
+        <listitem>
+          <para>
+            is used to create universal binaries from MachO files.
+          </para>
+          <indexterm zone="llvm llvm-lipo">
+            <primary sortas="b-llvm-lipo">llvm-lipo</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="llvm-lto">
         <term><command>llvm-lto</command></term>
@@ -993,4 +1122,17 @@
           <indexterm zone="llvm llvm-readobj">
             <primary sortas="b-llvm-readobj">llvm-readobj</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="llvm-reduce">
+        <term><command>llvm-reduce</command></term>
+        <listitem>
+          <para>
+            is used to automatically reduce testcases
+            when running a test suite.
+          </para>
+          <indexterm zone="llvm llvm-reduce">
+            <primary sortas="b-llvm-reduce">llvm-reduce</primary>
           </indexterm>
         </listitem>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d34eadb05b1d3d51e74c2641561864a31ca65aee)
+++ introduction/welcome/changelog.xml	(revision 11eb3ae5ed987b279efa3505fd1b67f4d8059f72)
@@ -43,4 +43,22 @@
     -->
     <listitem>
+      <para>July 24th, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to LLVM-10.0.1. Fixes
+          <ulink url="&blfs-ticket-root;13823">#13823</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to libseccomp-2.5.0. Fixes
+          <ulink url="&blfs-ticket-root;13822">#13822</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to pipewire-0.3.7. Fixes
+          <ulink url="&blfs-ticket-root;13831">#13831</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>July 23rd, 2020</para>
       <itemizedlist>
Index: multimedia/libdriv/pipewire.xml
===================================================================
--- multimedia/libdriv/pipewire.xml	(revision d34eadb05b1d3d51e74c2641561864a31ca65aee)
+++ multimedia/libdriv/pipewire.xml	(revision 11eb3ae5ed987b279efa3505fd1b67f4d8059f72)
@@ -7,8 +7,8 @@
   <!ENTITY pipewire-download-http "https://github.com/PipeWire/pipewire/archive/&pipewire-version;/pipewire-&pipewire-version;.tar.gz">
   <!ENTITY pipewire-download-ftp  " ">
-  <!ENTITY pipewire-md5sum        "4499d8380e23d11956299a4af30b069f">
-  <!ENTITY pipewire-size          "948 KB">
-  <!ENTITY pipewire-buildsize     "96 MB">
-  <!ENTITY pipewire-time          "0.3 SBU (Using parallelism=4)">
+  <!ENTITY pipewire-md5sum        "79111984d9cdd3d132e5f334099477cb">
+  <!ENTITY pipewire-size          "1.0 MB">
+  <!ENTITY pipewire-buildsize     "108 MB">
+  <!ENTITY pipewire-time          "0.4 SBU (Using parallelism=4)">
 ]>
 
@@ -187,4 +187,5 @@
           pw-mon,
           pw-profiler,
+          pw-pulse,
           spa-inspect,
           spa-monitor, and
@@ -194,6 +195,6 @@
           libpipewire-0.3.so,
           libpulse-mainloop-glib-pw.so,
-          libpulse-pw.so,
-          libpulse-simple-pw.so,
+          libpulse.so,
+          libpulse-simple.so,
           libasound_module_pcm_pipewire.so, and
           libgstpipewire.so
@@ -324,4 +325,16 @@
       </varlistentry>
 
+      <varlistentry id="pw-pulse">
+        <term><command>pw-pulse</command></term>
+        <listitem>
+          <para>
+            runs Pulseaudio applications on pipewire
+          </para>
+          <indexterm zone="pipewire pw-pulse">
+            <primary sortas="b-pw-pulse">pw-pulse</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="spa-inspect">
         <term><command>spa-inspect</command></term>
@@ -373,24 +386,24 @@
       </varlistentry>
 
-      <varlistentry id="libpulse-pw">
-        <term><filename class="libraryfile">libpulse-pw.so</filename></term>
+      <varlistentry id="libpulse">
+        <term><filename class="libraryfile">libpulse.so</filename></term>
         <listitem>
           <para>
             is a pipewire plugin for pulseaudio.
           </para>
-          <indexterm zone="pipewire libpulse-pw">
-            <primary sortas="c-libpulse-pw">libpulse-pw.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libpulse-simple-pw">
-        <term><filename class="libraryfile">libpulse-simple-pw.so</filename></term>
+          <indexterm zone="pipewire libpulse">
+            <primary sortas="c-libpulse">libpulse.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libpulse-simple">
+        <term><filename class="libraryfile">libpulse-simple.so</filename></term>
         <listitem>
           <para>
             is a simplified version of the pulseaudio plugin for pipewire.
           </para>
-          <indexterm zone="pipewire libpulse-simple-pw">
-            <primary sortas="c-libpulse-simple-pw">libpulse-simple-pw.so</primary>
+          <indexterm zone="pipewire libpulse-simple">
+            <primary sortas="c-libpulse-simple">libpulse-simple.so</primary>
           </indexterm>
         </listitem>
Index: multimedia/libdriv/pulseaudio.xml
===================================================================
--- multimedia/libdriv/pulseaudio.xml	(revision d34eadb05b1d3d51e74c2641561864a31ca65aee)
+++ multimedia/libdriv/pulseaudio.xml	(revision 11eb3ae5ed987b279efa3505fd1b67f4d8059f72)
@@ -286,5 +286,5 @@
         </seg>
         <seg>
-          libpulse.so
+          libpulse.so,
           libpulse-mainloop-glib.so,
           libpulse-simple.so,
@@ -292,5 +292,4 @@
           libpulsecore-&pulseaudio-major-version;.so, and 
           libpulsedsp.so
-
         </seg>
         <seg>
Index: packages.ent
===================================================================
--- packages.ent	(revision d34eadb05b1d3d51e74c2641561864a31ca65aee)
+++ packages.ent	(revision 11eb3ae5ed987b279efa3505fd1b67f4d8059f72)
@@ -154,5 +154,5 @@
 <!ENTITY libpaper-version             "1.1.24+nmu5">
 <!ENTITY libqmi-version               "1.26.0">
-<!ENTITY libseccomp-version           "2.4.3">
+<!ENTITY libseccomp-version           "2.5.0">
 <!ENTITY libsigc-version              "2.10.3">
 <!ENTITY libsigsegv-version           "2.12">
@@ -336,5 +336,5 @@
 <!ENTITY librep-version               "0.92.7">
 <!ENTITY llvm-majmin-version          "10.0">
-<!ENTITY llvm-point-version           "0">
+<!ENTITY llvm-point-version           "1">
 <!ENTITY llvm-version                 "&llvm-majmin-version;.&llvm-point-version;">
 <!ENTITY lua-version                  "5.4.0">
@@ -986,5 +986,5 @@
 <!ENTITY opal-version                 "3.10.10">
 <!ENTITY opus-version                 "1.3.1">
-<!ENTITY pipewire-version             "0.3.6">
+<!ENTITY pipewire-version             "0.3.7">
 <!ENTITY pulseaudio-major-version     "13.0">
 <!ENTITY pulseaudio-version           "&pulseaudio-major-version;">
Index: xsoft/other/gparted.xml
===================================================================
--- xsoft/other/gparted.xml	(revision d34eadb05b1d3d51e74c2641561864a31ca65aee)
+++ xsoft/other/gparted.xml	(revision 11eb3ae5ed987b279efa3505fd1b67f4d8059f72)
@@ -31,5 +31,5 @@
 
     <para>
-      Gparted is the Gnome Partition Editor, a Gtk 2 GUI for other command line
+      Gparted is the Gnome Partition Editor, a Gtk 3 GUI for other command line
       tools that can create, reorganise or delete disk partitions.
     </para>
Index: xsoft/other/xarchiver.xml
===================================================================
--- xsoft/other/xarchiver.xml	(revision d34eadb05b1d3d51e74c2641561864a31ca65aee)
+++ xsoft/other/xarchiver.xml	(revision 11eb3ae5ed987b279efa3505fd1b67f4d8059f72)
@@ -122,7 +122,8 @@
     </para>
 
-<screen><userinput>./autogen.sh &amp;&amp;
-
-./configure  --prefix=/usr               \
+<!-- Previously there was a command here to run ./autogen.sh.
+     With 0.5.4.15, the download that I had included the
+     configure script and the rest of the build machinery with it. -->
+<screen><userinput>./configure  --prefix=/usr               \
              --libexecdir=/usr/lib/xfce4 \
              --docdir=/usr/share/doc/xarchiver-&xarchiver-version; &amp;&amp;