Index: general/genlib/xapian.xml
===================================================================
--- general/genlib/xapian.xml	(revision b1d3c72abbad686c2052de6fe747079a15629180)
+++ general/genlib/xapian.xml	(revision 13d0d6f091ceee26a9341badadf169baa1c0f852)
@@ -8,8 +8,8 @@
            "http://oligarchy.co.uk/xapian/&xapian-version;/xapian-core-&xapian-version;.tar.xz">
   <!ENTITY xapian-download-ftp  " ">
-  <!ENTITY xapian-md5sum        "276497a458a8ae63e7dceb372cc1bc37">
+  <!ENTITY xapian-md5sum        "09c59290aa8f6b4ea73c3788636e44a5">
   <!ENTITY xapian-size          "3.1 MB">
-  <!ENTITY xapian-buildsize     "158 MB (additional 151 MB for tests)">
-  <!ENTITY xapian-time          "1.2 SBU (additional 19 SBU for tests)">
+  <!ENTITY xapian-buildsize     "189 MB (additional 128 MB for tests)">
+  <!ENTITY xapian-time          "1.2 SBU (additional 20 SBU for tests)">
 ]>
 
Index: general/prog/doxygen.xml
===================================================================
--- general/prog/doxygen.xml	(revision b1d3c72abbad686c2052de6fe747079a15629180)
+++ general/prog/doxygen.xml	(revision 13d0d6f091ceee26a9341badadf169baa1c0f852)
@@ -7,7 +7,7 @@
   <!ENTITY doxygen-download-http "http://ftp.stack.nl/pub/doxygen/doxygen-&doxygen-version;.src.tar.gz">
   <!ENTITY doxygen-download-ftp  "ftp://ftp.stack.nl/pub/doxygen/doxygen-&doxygen-version;.src.tar.gz">
-  <!ENTITY doxygen-md5sum        "79767ccd986f12a0f949015efb5f058f">
-  <!ENTITY doxygen-size          "4.6 MB">
-  <!ENTITY doxygen-buildsize     "174 MB (with all programs, docs and tests)">
+  <!ENTITY doxygen-md5sum        "f4697a444feaed739cfa2f0644abc19b">
+  <!ENTITY doxygen-size          "4.7 MB">
+  <!ENTITY doxygen-buildsize     "176 MB (with all programs, docs and tests)">
   <!ENTITY doxygen-time          "2.4 SBU (with all programs, docs and tests)">
 ]>
@@ -86,5 +86,5 @@
       </listitem>
     </itemizedlist>
-
+<!--
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing='compact'>
@@ -93,5 +93,6 @@
           url="&patch-root;/doxygen-&doxygen-version;-flex_2_6_0_fix-1.patch"/></para>
       </listitem>
-    </itemizedlist>
+    </itemizedlist>-->
+
     <bridgehead renderas="sect3">Doxygen Dependencies</bridgehead>
 
@@ -108,5 +109,6 @@
       <xref linkend="llvm"/> (with clang),
       <xref linkend="python2"/> or <xref linkend="python3"/>,
-      <xref linkend="qt4"/> (for doxywizard),
+      <xref linkend="qt4"/> or
+      <xref linkend="qt5"/> (for doxywizard),
       <xref linkend="texlive"/> (or <xref linkend="tl-installer"/>) and
       <xref linkend="xapian"/> (for doxyindexer)
@@ -120,11 +122,4 @@
   <sect2 role="installation">
     <title>Installation of Doxygen</title>
-
-    <para>
-      First, fix building <application>Doxygen</application> with a newer
-      version of <application>Flex</application>.
-    </para>
-
-<screen><userinput>patch -p1 -i ../doxygen-&doxygen-version;-flex_2_6_0_fix-1.patch</userinput></screen>
 
     <para>
@@ -154,7 +149,5 @@
     </para>
 
-<screen><userinput>sed -i 's:man/man1:share/&amp;:' ../doc/CMakeLists.txt &amp;&amp;
-
-cmake -DDOC_INSTALL_DIR=share/doc/doxygen-&doxygen-version; -Dbuild_doc=ON .. &amp;&amp;
+<screen><userinput>cmake -DDOC_INSTALL_DIR=share/doc/doxygen-&doxygen-version; -Dbuild_doc=ON .. &amp;&amp;
 
 make docs</userinput></screen>
@@ -167,13 +160,14 @@
 install -vm644 ../doc/*.1 /usr/share/man/man1</userinput></screen>
 
+    <para>
+      If you have generated the package documentation, then the man pages are
+      automatically installed, and you do not need to run the last
+      <command>install ...</command> command.
+    </para>
+
   </sect2>
 
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-      <command>sed -i ... CMakeLists.txt</command>: Fixes the directory where
-      the man pages are installed.
-    </para>
 
     <para>
@@ -188,4 +182,9 @@
       external search tools (<command>doxysearch.cgi</command> and
       <command>doxyindexer)</command>.
+    </para>
+
+    <para>
+      <option>-Dforce_qt4=ON</option>: Use this switch to build
+      <command>doxywizard</command> with Qt4 even if Qt5 is installed.
     </para>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b1d3c72abbad686c2052de6fe747079a15629180)
+++ introduction/welcome/changelog.xml	(revision 13d0d6f091ceee26a9341badadf169baa1c0f852)
@@ -48,4 +48,24 @@
       <para>December 30th, 2015</para>
       <itemizedlist>
+        <listitem>
+          <para>[fernando] - Update to doxygen-1.8.11. Fixes
+          <ulink url="&blfs-ticket-root;7306">#7306</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to wireshark-2.0.1. Fixes
+          <ulink url="&blfs-ticket-root;7305">#7305</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to xapian-core-1.2.22. Fixes
+          <ulink url="&blfs-ticket-root;7304">#7304</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to audacious-3.7.1, audacious-plugins-3.7.1. Fixes
+          <ulink url="&blfs-ticket-root;7303">#7303</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to firefox-43.0.3. Fixes
+          <ulink url="&blfs-ticket-root;7301">#7301</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[fernando] - Update to gnumeric-1.12.26. Fixes
Index: multimedia/audioutils/audacious.xml
===================================================================
--- multimedia/audioutils/audacious.xml	(revision b1d3c72abbad686c2052de6fe747079a15629180)
+++ multimedia/audioutils/audacious.xml	(revision 13d0d6f091ceee26a9341badadf169baa1c0f852)
@@ -8,5 +8,5 @@
            "http://distfiles.audacious-media-player.org/audacious-&audacious-version;.tar.bz2">
   <!ENTITY audacious-download-ftp         " ">
-  <!ENTITY audacious-md5sum               "e331bfbd01d070c34f2620949fadbe51">
+  <!ENTITY audacious-md5sum               "093208db6d22e9fa225cb8d83b981907">
   <!ENTITY audacious-size                 "560 KB">
   <!ENTITY audacious-buildsize            "47 MB (with Gtk and Qt5 user interfaces)">
@@ -15,7 +15,7 @@
   <!ENTITY audacious-plugins-download
            "http://distfiles.audacious-media-player.org/audacious-plugins-&audacious-plugins-version;.tar.bz2">
-  <!ENTITY audacious-plugins-md5sum       "babbb3dbf9ccb649067550122ce1b7be">
+  <!ENTITY audacious-plugins-md5sum       "1cbf90fa8a3a9f30f8e68333399f68c2">
   <!ENTITY audacious-plugins-size         "1.8 MB">
-  <!ENTITY audacious-plugins-buildsize    "140 MB (with Gtk and Qt5 user interfaces)">
+  <!ENTITY audacious-plugins-buildsize    "139 MB (with Gtk and Qt5 user interfaces)">
   <!ENTITY audacious-plugins-time         "1.5 SBU (with Gtk and Qt5 user interfaces)">
 ]>
@@ -309,5 +309,5 @@
         </seg>
         <seg>
-          libaudcore.so, libaudgui.so, libaudtag.so, libaudqt.so, and several
+          libaudcore.so, libaudgui.so, libaudqt.so, libaudtag.so, and several
           plugin libraries under /usr/lib/audacious/ sub-directories
         </seg>
Index: networking/netutils/wireshark.xml
===================================================================
--- networking/netutils/wireshark.xml	(revision b1d3c72abbad686c2052de6fe747079a15629180)
+++ networking/netutils/wireshark.xml	(revision 13d0d6f091ceee26a9341badadf169baa1c0f852)
@@ -7,7 +7,7 @@
   <!ENTITY wireshark-download-http "https://www.wireshark.org/download/src/all-versions/wireshark-&wireshark-version;.tar.bz2">
   <!ENTITY wireshark-download-ftp  "ftp://ftp.uni-kl.de/pub/wireshark/src/wireshark-&wireshark-version;.tar.bz2">
-  <!ENTITY wireshark-md5sum        "5909af2a09a9a3023ba61bc62e787ad2">
+  <!ENTITY wireshark-md5sum        "c1610ab2238965363b811e5188750fb1">
   <!ENTITY wireshark-size          "30 MB">
-  <!ENTITY wireshark-buildsize     "2.1 GB, with default GUI front-ends">
+  <!ENTITY wireshark-buildsize     "2 GB, with default GUI front-ends">
   <!ENTITY wireshark-time          "8.1 SBU, with default GUI front-ends">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision b1d3c72abbad686c2052de6fe747079a15629180)
+++ packages.ent	(revision 13d0d6f091ceee26a9341badadf169baa1c0f852)
@@ -153,5 +153,5 @@
 <!ENTITY wayland-version              "1.9.0">
 <!ENTITY wv-version                   "1.2.9">
-<!ENTITY xapian-version               "1.2.21">
+<!ENTITY xapian-version               "1.2.22">
 
 <!-- Chapter 10 -->
@@ -258,5 +258,5 @@
 <!--<!ENTITY cvs-version                  "1.11.23">-->
 <!ENTITY dejagnu-version              "1.5.3">
-<!ENTITY doxygen-version              "1.8.10">
+<!ENTITY doxygen-version              "1.8.11">
 <!ENTITY elfutils-version             "0.164">
 <!ENTITY expect-version               "5.45">
@@ -380,5 +380,5 @@
 <!ENTITY whois-version                "5.2.11">
 <!ENTITY wicd-version                 "1.7.3">
-<!ENTITY wireshark-version            "2.0.0">  <!-- even minors only -->
+<!ENTITY wireshark-version            "2.0.1">  <!-- even minors only -->
 
 <!ENTITY wicd-major-version           "1.7">
@@ -653,5 +653,5 @@
 <!-- Chapter 43 -->
 <!ENTITY seamonkey-version            "2.39">
-<!ENTITY firefox-version              "43.0.2">
+<!ENTITY firefox-version              "43.0.3">
 
 <!-- Chapter 44 -->
@@ -753,6 +753,6 @@
 <!ENTITY CDParanoia-version           "III-10.2">
 <!ENTITY freetts-version              "1.2.2">
-<!ENTITY audacious-version            "3.7">
-<!ENTITY audacious-plugins-version    "3.7">
+<!ENTITY audacious-version            "3.7.1">
+<!ENTITY audacious-plugins-version    "3.7.1">
 <!ENTITY amarok-version               "2.8.0">
 <!ENTITY pnmixer-version              "0.5.1">
Index: xsoft/graphweb/firefox.xml
===================================================================
--- xsoft/graphweb/firefox.xml	(revision b1d3c72abbad686c2052de6fe747079a15629180)
+++ xsoft/graphweb/firefox.xml	(revision 13d0d6f091ceee26a9341badadf169baa1c0f852)
@@ -9,8 +9,8 @@
   <!ENTITY firefox-download-ftp "&mozilla-ftp;/firefox/releases/&firefox-version;/source/firefox-&firefox-version;.source.tar.bz2"> -->
   <!ENTITY firefox-download-ftp " ">
-  <!ENTITY firefox-md5sum        "357bcebe6a5b77876a3df8916e6363d3">
+  <!ENTITY firefox-md5sum        "daa8cb66e5c2bd696d69046ac8cee15b">
   <!ENTITY firefox-size          "168 MB">
   <!ENTITY firefox-buildsize     "4.1 GB (82 MB installed)">
-  <!ENTITY firefox-time          "9.8 SBU (with parallelism=4)">
+  <!ENTITY firefox-time          "10 SBU (with parallelism=4)">
 ]>
 