Index: general.ent
===================================================================
--- general.ent	(revision 48c17bf280895dd39f647499fbb75c5d47124fcf)
+++ general.ent	(revision 15a1fed93ac5825b03362392a955b8efb1583260)
@@ -1,3 +1,3 @@
-<!ENTITY day          "09">
+<!ENTITY day          "10">
 <!ENTITY month        "05">
 <!ENTITY year         "2005">
@@ -22,5 +22,5 @@
 
 
-<!ENTITY blfs-bootscripts-version     "20050313"> 
+<!ENTITY blfs-bootscripts-version     "20050509"> 
 <!ENTITY blfs-bootscripts-download    "&downloads-root;/blfs-bootscripts-&blfs-bootscripts-version;.tar.bz2">
  
@@ -306,73 +306,75 @@
 <!-- Part IX -->
 <!-- Chapter 30 -->
-<!ENTITY gnome-version                "2.8">
-<!ENTITY ORBit2-version               "2.12.0">
-<!ENTITY libbonobo-version            "2.8.0">
-<!ENTITY GConf-version                "2.8.1">
+<!ENTITY gnome-version                "2.10">
+<!ENTITY gnome-minor-version          ".1">
+<!ENTITY ORBit2-version               "2.12.2">
+<!ENTITY libbonobo-version            "2.8.1">
+<!ENTITY GConf-version                "2.10.0">
 <!ENTITY gnome-mime-data-version      "2.4.2">
-<!ENTITY gnome-vfs-version            "2.8.3">
-<!ENTITY libgnome-version             "2.8.0">
-<!ENTITY libgnomecanvas-version       "2.8.0">
-<!ENTITY libbonoboui-version          "2.8.0">
-<!ENTITY gnome-icon-theme-version     "2.8.0">
-<!ENTITY gnome-keyring-version        "0.4.0">
-<!ENTITY libgnomeui-version           "2.8.0">
-<!ENTITY gtk-engines-version          "2.2.0">
-<!ENTITY gnome-themes-version         "2.8.1">
+<!ENTITY gnome-vfs-version            "2.10.1">
+<!ENTITY libgnome-version             "2.10.0">
+<!ENTITY libgnomecanvas-version       "2.10.0">
+<!ENTITY libbonoboui-version          "2.8.1">
+<!ENTITY gnome-icon-theme-version     "2.10.1">
+<!ENTITY gnome-keyring-version        "0.4.2">
+<!ENTITY libgnomeui-version           "2.10.0">
+<!ENTITY gtk-engines-version          "2.6.3">
+<!ENTITY gnome-themes-version         "2.10.1">
 <!ENTITY scrollkeeper-version         "0.3.14">
-<!ENTITY gnome-desktop-version        "2.8.1">
-<!ENTITY libwnck-version              "2.8.1">
+<!ENTITY gnome-desktop-version        "2.10.1">
+<!ENTITY libwnck-version              "2.10.0">
 <!ENTITY gnome-backgrounds-version    "2.10.1">
 <!ENTITY gnome-menus-version          "2.10.1">
-<!ENTITY gnome-panel-version          "2.8.1">
-<!ENTITY gnome-session-version        "2.8.1">
-<!ENTITY vte-version                  "0.11.11">
-<!ENTITY gnome-terminal-version       "2.8.0">
-<!ENTITY libgtop-version              "2.8.1">
-<!ENTITY gail-version                 "1.8.0">
-<!ENTITY gnome-applets-version        "2.8.1">
-<!ENTITY eel-version                  "2.8.2">
-<!ENTITY nautilus-version             "2.8.2">
-<!ENTITY control-center-version       "2.8.1">
+<!ENTITY gnome-panel-version          "2.10.1">
+<!ENTITY gnome-session-version        "2.10.0">
+<!ENTITY vte-version                  "0.11.13">
+<!ENTITY gnome-terminal-version       "2.10.0">
+<!ENTITY libgtop-version              "2.10.1">
+<!ENTITY gail-version                 "1.8.3">
+<!ENTITY gnome-applets-version        "2.10.1">
+<!ENTITY eel-version                  "2.10.1">
+<!ENTITY nautilus-version             "2.10.1">
+<!ENTITY gnome-doc-utils-version      "0.2.0">
+<!ENTITY libgtkhtml-version           "2.6.3">
+<!ENTITY yelp-version                 "2.6.5">
+<!ENTITY control-center-version       "2.10.1">
 <!ENTITY gnome2-user-docs-version     "2.8.1">
-<!ENTITY libgtkhtml-version           "2.6.2">
-<!ENTITY gnome-doc-utils-version      "0.1">
-<!ENTITY yelp-version                 "2.6.4">
 
 <!-- Chapter 31 -->
-<!ENTITY libgnomecups-version         "0.1.13">
-<!ENTITY libgnomeprint-version        "2.8.0.1">
-<!ENTITY libgnomeprintui-version      "2.8.0">
-<!ENTITY gal-version                  "2.2.3">
-<!ENTITY gtkhtml-version              "3.2.3">
-<!ENTITY evolution-data-server-version "1.0.2">
-<!ENTITY bug-buddy-version            "2.8.0">
-<!ENTITY gtksourceview-version        "1.1.1">
-<!ENTITY gedit-version                "2.8.1">
-<!ENTITY eog-version                  "2.8.1">
-<!ENTITY ggv-version                  "2.8.0">
-<!ENTITY file-roller-version          "2.8.3">
-<!ENTITY gconf-editor-version         "2.8.2">
-<!ENTITY gnome-utils-version          "2.8.1">
-<!ENTITY gnome-system-monitor-version "2.8.0">
-<!ENTITY gnome-media-version          "2.8.0">
+<!ENTITY libgnomecups-version         "0.2.0">
+<!ENTITY libgnomeprint-version        "2.10.3">
+<!ENTITY libgnomeprintui-version      "2.10.2">
+<!ENTITY gal-version                  "2.4.2">
+<!ENTITY gtkhtml-version              "3.5.7">
+<!ENTITY evolution-data-server-version "1.2.2">
+<!ENTITY bug-buddy-version            "2.10.0">
+<!ENTITY gtksourceview-version        "1.2.0">
+<!ENTITY gedit-version                "2.10.2">
+<!ENTITY eog-version                  "2.10.0">
+<!ENTITY ggv-version                  "2.8.4">
+<!ENTITY file-roller-version          "2.10.3">
+<!ENTITY gconf-editor-version         "2.10.0">
+<!ENTITY system-tools-backends-version "1.2.0">
+<!ENTITY gnome-utils-version          "2.10.1">
+<!ENTITY gnome-system-monitor-version "2.10.1">
+<!ENTITY gnome-media-version          "2.10.2">
 <!ENTITY nautilus-media-version       "0.8.1">
-<!ENTITY gnome-netstatus-version      "2.8.0">
-<!ENTITY gcalctool-version            "4.4.20">
-<!ENTITY gpdf-version                 "2.8.0">
-<!ENTITY gucharmap-version            "1.4.2">
-<!ENTITY nautilus-cd-burner-version   "2.8.5">
-<!ENTITY zenity-version               "2.8.1">
-<!ENTITY at-spi-version               "1.6.0">
-<!ENTITY libgail-gnome-version        "1.1.0">
-<!ENTITY java-access-bridge-version   "1.4.2">
-<!ENTITY gnome-speech-version         "0.3.5">
-<!ENTITY gnome-mag-version            "0.11.10">
-<!ENTITY gnopernicus-version          "0.9.18">
-<!ENTITY gok-version                  "0.11.16">
-<!ENTITY epiphany-version             "1.4.5">
-<!ENTITY gnomemeeting-version         "1.0.2">
-<!ENTITY gnome-games-version          "2.8.1">
-<!ENTITY gdm-version                  "2.6.0.6">
+<!ENTITY gnome-netstatus-version      "2.10.0">
+<!ENTITY gcalctool-version            "5.5.42">
+<!ENTITY gpdf-version                 "2.10.0">
+<!ENTITY gucharmap-version            "1.4.3">
+<!ENTITY nautilus-cd-burner-version   "2.10.1">
+<!ENTITY zenity-version               "2.10.0">
+<!ENTITY at-spi-version               "1.6.3">
+<!ENTITY libgail-gnome-version        "1.1.1">
+<!ENTITY java-access-bridge-version   "1.4.5">
+<!ENTITY gnome-speech-version         "0.3.6">
+<!ENTITY gnome-mag-version            "0.12.0">
+<!ENTITY gnopernicus-version          "0.10.9">
+<!ENTITY gok-version                  "1.0.4">
+<!ENTITY epiphany-version             "1.6.2">
+<!ENTITY gnomemeeting-version         "1.2.1">
+<!ENTITY gnome-games-version          "2.10.1">
+<!ENTITY gdm-version                  "2.6.0.9">
 
 <!-- Chapter 32 -->
Index: gnome/core/config.xml
===================================================================
--- gnome/core/config.xml	(revision 48c17bf280895dd39f647499fbb75c5d47124fcf)
+++ gnome/core/config.xml	(revision 15a1fed93ac5825b03362392a955b8efb1583260)
@@ -7,35 +7,38 @@
 
 <sect1 id="gnome-config">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="config.html"?>
-<title>Configuring the core GNOME packages</title>
 
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
 
-<para>Create (or append to) an <filename>.xinitrc</filename> file to start 
-<application><acronym>GNOME</acronym></application>:</para>
+  <?dbhtml filename="config.html"?>
+  <title>Configuring the core GNOME packages</title>
 
-<screen><userinput><command>echo "exec gnome-session" &gt;&gt; ~/.xinitrc</command></userinput></screen>
+  <para>Create (or append to) an <filename>.xinitrc</filename> file to start 
+  <application>GNOME</application>:</para>
 
-<para>Ensure all libraries can be found with (as root):</para>
+<screen><userinput>echo "exec gnome-session" &gt;&gt; ~/.xinitrc</userinput></screen>
 
-<screen><userinput><command>ldconfig</command></userinput></screen>
+  <para>Ensure all libraries can be found with (as root):</para>
 
-<para>Update the <acronym>MIME</acronym>-type application database 
-(as root):</para>
+<screen role='root'><userinput>ldconfig</userinput></screen>
 
-<screen><userinput><command>update-desktop-database</command></userinput></screen>
+  <para>Update the <acronym>MIME</acronym>-type application database 
+  (as root):</para>
 
-<para>There are reports of some panel icons not being displayed properly when 
-using some themes, especially if your <envar>$GNOME_PREFIX</envar> is not 
-<filename class='directory'>/usr</filename>. As the root user, add the 
-following lines to <filename>$GNOME_PREFIX/share/gnome-panelrc</filename> to 
-correct the problem (ensure you substitute the correct path in the 
-pixmap_path, if necessary):</para>
+<screen role='root'><userinput>update-desktop-database</userinput></screen>
 
-<screen><userinput role='root'><command>cat &gt;&gt; $GNOME_PREFIX/share/gnome-panelrc &lt;&lt; "EOF"</command>
+  <!-- I'm not sure this is required in GNOME-2.10.1, as it all appears to work
 
+  <para>There are reports of some panel icons not being displayed properly when 
+  using some themes, especially if your <envar>$GNOME_PREFIX</envar> is not 
+  <filename class='directory'>/usr</filename>. As the root user, add the 
+  following lines to <filename>$GNOME_PREFIX/share/gnome-panelrc</filename> to 
+  correct the problem (ensure you substitute the correct path in the 
+  pixmap_path, if necessary):</para>
+
+<screen role='root'><userinput>cat &gt;&gt; $GNOME_PREFIX/share/gnome-panelrc &lt;&lt; "EOF"</userinput>
+<literal>
 pixmap_path "/opt/gnome-2.8/share/pixmaps"
 
@@ -53,10 +56,10 @@
 
 class "GtkWidget" style "panel-icons"
+</literal>
+<userinput>EOF</userinput></screen>
 
-<command>EOF</command></userinput></screen>
-
-<para>At this point you can bring up
-<application><acronym>GNOME</acronym></application> with
-<command>startx</command>.</para>
+  -->
+  <para>At this point you can bring up <application>GNOME</application> with 
+  <command>startx</command>.</para>
 
 </sect1>
Index: gnome/core/pre-install-config.xml
===================================================================
--- gnome/core/pre-install-config.xml	(revision 48c17bf280895dd39f647499fbb75c5d47124fcf)
+++ gnome/core/pre-install-config.xml	(revision 15a1fed93ac5825b03362392a955b8efb1583260)
@@ -7,54 +7,57 @@
 
 <sect1 id="gnome-pre-install-config">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="pre-install-config.html"?>
-<title>Pre-installation configuration</title>
 
-<para>Set an environment variable to resolve the prefix destination.</para>
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
 
-<para>If <application><acronym>GNOME</acronym></application> is your desktop 
-of choice:</para>
+  <?dbhtml filename="pre-install-config.html"?>
+  <title>Pre-installation configuration</title>
 
-<screen><userinput><command>export GNOME_PREFIX=/usr</command></userinput></screen>
+  <para>Set an environment variable to resolve the prefix destination.</para>
 
-<para>If you want to try-out 
-<application><acronym>GNOME</acronym></application>:</para>
+  <para>If <application><acronym>GNOME</acronym></application> is your desktop 
+  of choice:</para>
 
-<screen><userinput><command>export GNOME_PREFIX=/opt/gnome-&gnome-version;</command></userinput></screen>
+<screen><userinput>export GNOME_PREFIX=/usr</userinput></screen>
 
-<para>Remember to execute <command>ldconfig</command> after installation of libraries to
-update the library cache.</para>
+  <para>If you want to try-out <application>GNOME</application>, or install 
+  it in an easy to remove location:</para>
 
-<para>The try-out group will also need to make all the following
-configuration changes:</para>
+<screen><userinput>export GNOME_PREFIX=/opt/gnome-&gnome-version;</userinput></screen>
 
-<para>Add to your system or personal profile:</para>
+  <para>Remember to execute <command>ldconfig</command> as the 
+  <systemitem class='username'>root</systemitem> user after installation of 
+  libraries to update the library cache.</para>
 
-<screen><userinput><command>export PATH=$PATH:/opt/gnome-&gnome-version;/bin
+  <para>The try-out group will also need to make all the following
+  configuration changes:</para>
+
+  <para>Add to your system or personal profile:</para>
+
+<screen><literal>export PATH=$PATH:/opt/gnome-&gnome-version;/bin
 export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/opt/gnome-&gnome-version;/lib/pkgconfig
-export GNOME_LIBCONFIG_PATH=/usr/lib:/opt/gnome-&gnome-version;/lib</command></userinput></screen>
+export GNOME_LIBCONFIG_PATH=/usr/lib:/opt/gnome-&gnome-version;/lib</literal></screen>
 
-<para>Add to your <filename>/etc/ld.so.conf</filename>:</para>
+  <para>Add to your <filename>/etc/ld.so.conf</filename>:</para>
 
-<screen><userinput><command>cat &gt;&gt; /etc/ld.so.conf &lt;&lt; "EOF"</command>
-# Begin gnome addition to /etc/ld.so.conf
+<screen role='root'><userinput>cat &gt;&gt; /etc/ld.so.conf &lt;&lt; "EOF"</userinput>
+<literal># Begin gnome addition to /etc/ld.so.conf
 
 /opt/gnome-&gnome-version;/lib
 
-# End gnome addition
-<command>EOF</command></userinput></screen>
+# End gnome addition</literal>
+<userinput>EOF</userinput></screen>
 
-<para>Add to your <filename>/etc/man.conf</filename>:</para>
+  <para>Add to your <filename>/etc/man.conf</filename>:</para>
 
-<screen><userinput><command>cat &gt;&gt; /etc/man.conf &lt;&lt; "EOF"</command>
-# Begin gnome addition to man.conf
+<screen role='root'><userinput>cat &gt;&gt; /etc/man.conf &lt;&lt; "EOF"</userinput>
+<literal># Begin gnome addition to man.conf
 
 MANPATH /opt/gnome-&gnome-version;/man
 
-# End gnome addition to man.conf
-<command>EOF</command></userinput></screen>
+# End gnome addition to man.conf</literal>
+<userinput>EOF</userinput></screen>
 
 </sect1>
Index: gnome/gnome-intro.xml
===================================================================
--- gnome/gnome-intro.xml	(revision 48c17bf280895dd39f647499fbb75c5d47124fcf)
+++ gnome/gnome-intro.xml	(revision 15a1fed93ac5825b03362392a955b8efb1583260)
@@ -7,97 +7,86 @@
 
 <partintro>
-<title>Introduction to <application><acronym>GNOME</acronym></application></title>
+  <title>Introduction to GNOME</title>
 
-<para>This chapter presents the instructions to install a complete
-<application><acronym>GNOME</acronym></application>-&gnome-version; desktop
-environment and a limited
-<application><acronym>GNOME</acronym></application> 1.4 library environment that is
-sufficient to run <application><acronym>GNOME</acronym></application> 1.4 applications included in this book. The
-order of the pages follow the build order defined by the
-GNOME development team as published in the <ulink
-url="http://www.gnome.org/start/&gnome-version;/notes/rninstallation.html">release notes</ulink>.</para>
+  <para>This chapter presents the instructions to install a complete
+  <application>GNOME</application>-&gnome-version;&gnome-minor-version; 
+  desktop environment and a limited <application>GNOME</application> 1.4 
+  library environment that is sufficient to run 
+  <application>GNOME</application> 1.4 applications included in this book. 
+  The order of the pages follow the build order defined by the 
+  <application>GNOME</application> development team as published in previous 
+  versions of the <ulink 
+  url="http://www.gnome.org/start/&gnome-version;/notes/rninstallation.html">
+  release notes</ulink>. Note that the development team did not publish a 
+  build order for the &gnome-version;&gnome-minor-version; release.</para>
 
-<para>The installation of <application><acronym>GNOME</acronym></application>-&gnome-version; is a large undertaking and one we would
-like to see you complete with the least amount of stress. One
-of the first goals in this installation is to protect your previously
-installed software, especially if you are testing
-<application><acronym>GNOME</acronym></application> on your machine.
-<application><acronym>GNOME</acronym></application>-&gnome-version;
-packages utilize the <parameter>--prefix=option</parameter> for
-<command>configure</command>, so you will
-use that and an environment variable (<envar>GNOME_PREFIX</envar>) to add flexibility to 
-the installation.</para>
+  <para>The installation of 
+  <application>GNOME</application>-&gnome-version;&gnome-minor-version; 
+  is a large undertaking and one we would like to see you complete with the 
+  least amount of stress. One of the first goals in this installation is to 
+  protect your previously installed software, especially if you are testing 
+  <application>GNOME</application> on your machine. 
+  <application>GNOME</application>-&gnome-version; packages utilize the 
+  <parameter>--prefix=option</parameter> passed to 
+  <command>configure</command>, so you will use that and an environment 
+  variable (<envar>GNOME_PREFIX</envar>) to add flexibility to the 
+  installation.</para>
 
-<para>To install 
-<application><acronym>GNOME</acronym></application> as a desktop
-alternative, it is recommended that
-you install with <parameter>--prefix=/usr</parameter>. If you are not sure that you are going
-to keep the <application><acronym>GNOME</acronym></application> installation, you may install with 
-<parameter>--prefix=/opt/gnome-&gnome-version;</parameter>.  Setting the
-environment variable and the
-additional edits required by the second option are covered on the
-pre-installation page. Since
-<application><acronym>GNOME</acronym></application> has matured,
-installing with <parameter>--prefix=/usr</parameter> is the preferable approach.</para>
+  <para>To install <application>GNOME</application> as your desktop of choice, 
+  it is recommended that you install using 
+  <parameter>--prefix=/usr</parameter>. If you are not sure that you are going 
+  to keep the <application>GNOME</application> installation, or you think you 
+  will update to the newest releases as they become available, you should 
+  install with <parameter>--prefix=/opt/gnome-&gnome-version;</parameter>. 
+  Setting the environment variable and the additional edits required by the 
+  second option are covered on the pre-installation page.</para> 
 
-<para>If you choose the second option, removal of
-<application><acronym>GNOME</acronym></application>-&gnome-version; is as easy
-as removing the edits from the pre-installation page and issuing the
-following command:</para>
-<screen><userinput><command>rm /opt/gnome-&gnome-version; -r </command></userinput></screen>
+  <para>If you choose the second option, removal of
+  <application>GNOME</application>-&gnome-version;&gnome-minor-version; is as 
+  easy as removing the edits from the pre-installation page and issuing the 
+  following command:</para>
 
-<para>If your system was completely built per <acronym>LFS</acronym> and
-<acronym>BLFS</acronym>
-instructions, you have a very good chance of using
-<application><acronym>GNOME</acronym></application>-&gnome-version;
-after your first install.  If you are a typical <acronym>LFS</acronym> user, you have made
-modifications to the instructions along the way knowing that you have to
-take those modifications into account on future installations.  You
-should have no problems integrating
-<application><acronym>GNOME</acronym></application>-&gnome-version; into your unique setup, but
-you will have to install 28 to 33 packages before you can run
-<application><acronym>GNOME</acronym></application>
-through any testing (assuming your window manager is preinstalled and
-tested). You should anticipate that you will be rebuilding
-<application><acronym>GNOME</acronym></application> at least
-once to make adjustments for your setup.</para>
+<screen><userinput>rm -rf /opt/gnome-&gnome-version; </userinput></screen>
 
-<para>If you are building a
-<application><acronym>GNOME</acronym></application> 1.4 desktop environment, you would
-install only those libraries in the
-<application><acronym>GNOME</acronym></application> 1.4 chapter
-<emphasis>and</emphasis> any dependencies listed on those pages, whether
-labeled or not. <application><acronym>GNOME</acronym></application> packages without pages are simply installed with:
-<screen><command>./configure --prefix=/opt/gnome &amp;&amp;
-make &amp;&amp;
-make install</command></screen>
-These instructions are simplistic to facilitate removal of
-<application><acronym>GNOME</acronym></application> 1.4
-from <acronym>BLFS</acronym> systems when it is no longer necessary.  These instructions
-may be refined later to comply with <acronym>BLFS</acronym> standards for file locations,
-specifically <filename class='directory'>/opt/gnome/etc</filename> to
-<filename class='directory'>/etc</filename> and <filename
-class='directory'>/opt/gnome/var</filename> to
-<filename class='directory'>/var</filename>.  You should consider using
-the <application><acronym>GNOME</acronym></application> 1.4 hint
-located at <ulink url="http://www.linuxfromscratch.org/hints/"/> if you
-have no interest in <application><acronym>GNOME</acronym></application>-&gnome-version;.</para>
+  <para>If your system was completely built per LFS and BLFS instructions, 
+  you have a very good chance of using 
+  <application>GNOME</application>-&gnome-version;&gnome-minor-version; after 
+  your first installation. If you are a typical LFS user, you have made 
+  modifications to the instructions along the way knowing that you have to
+  take those modifications into account on future installations. You should 
+  have no problems integrating 
+  <application>GNOME</application>-&gnome-version;&gnome-minor-version; into 
+  your unique setup, but you will have to install almost 50 packages before 
+  you can run <application>GNOME</application> through any testing (assuming 
+  your window manager is preinstalled and tested). You should anticipate that 
+  you will be rebuilding <application>GNOME</application> at least once to 
+  make adjustments for your setup.</para>
 
-<!--
-<para><application><acronym>GNOME</acronym></application>-&gnome-version; dependencies</para>
-<para>Required</para>
-<para>
-<xref linkend="gtk2"/> and
-<xref linkend="popt"/>
-</para>
-<para>Optional</para>
-<para>
-<xref linkend="libxml2"/>,
-<xref linkend="libxslt"/>,
-<xref linkend="DocBook"/>,
-<xref linkend="docbook-xsl"/> and
-<xref linkend="fam"/>
-</para>
--->
+  <para>If you are building a <application>GNOME</application> 1.4 desktop 
+  environment, you would install only those libraries in the 
+  <application>GNOME</application> 1.4 chapter <emphasis>and</emphasis> any 
+  dependencies listed on those pages, whether labeled or not. 
+  <application>GNOME</application> packages without pages are simply 
+  installed with:</para>
+
+<screen><userinput>./configure --prefix=/opt/gnome &amp;&amp;
+make</userinput></screen>
+
+  <para>Now, as the <systemitem class='username'>root</systemitem> user:</para>
+
+<screen role='root'><userinput>make install</userinput></screen>
+
+  <para>These instructions are simplistic to facilitate removal of 
+  <application>GNOME</application> 1.4 from BLFS systems when it is no longer 
+  necessary. These instructions may be refined later to comply with BLFS 
+  standards for file locations, specifically 
+  <filename class='directory'>/opt/gnome/etc</filename> to 
+  <filename class='directory'>/etc</filename> and 
+  <filename class='directory'>/opt/gnome/var</filename> to 
+  <filename class='directory'>/var</filename>. You should consider using 
+  the <application>GNOME</application> 1.4 hint located at 
+  <ulink url="http://www.linuxfromscratch.org/hints/"/> if you have no 
+  interest in 
+  <application>GNOME</application>-&gnome-version;&gnome-minor-version;.</para>
 
 </partintro>