Index: general.ent
===================================================================
--- general.ent	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ general.ent	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "18">                   <!-- Always 2 digits -->
+<!ENTITY day          "19">                   <!-- Always 2 digits -->
 <!ENTITY month        "10">                   <!-- Always 2 digits -->
 <!ENTITY year         "2012">
@@ -10,5 +10,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "October 18th, &year;">
+<!ENTITY releasedate  "October 19th, &year;">
 <!-- <!ENTITY releasedate  "November &day;st, &year;"> -->
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
@@ -239,5 +239,5 @@
 <!ENTITY glib2-version                "2.34.1">
 <!ENTITY glibmm-version               "2.33.14">
-<!ENTITY gmime-version                "2.6.10">
+<!ENTITY gmime-version                "2.6.11">
 <!ENTITY gobject-introspection-version "1.34.1.1">
 <!ENTITY gsl-version                  "1.15">
@@ -647,5 +647,5 @@
 <!ENTITY GConf-version                "3.2.5">
 <!ENTITY gcr-version                  "3.6.1">
-<!ENTITY libgee-version               "0.6.5">
+<!ENTITY libgee-version               "0.6.6">
 <!ENTITY libgweather-version          "3.6.1">
 <!ENTITY libwnck-version              "3.4.3">
@@ -672,5 +672,5 @@
 <!ENTITY gnome-icon-theme-extras-version "3.4.0">
 <!ENTITY gnome-icon-theme-symbolic-version "3.6.0">
-<!ENTITY gnome-themes-standard-version "3.6.0.2">
+<!ENTITY gnome-themes-standard-version "3.6.1">
 <!ENTITY gnome-video-effects-version  "0.4.0">
 <!ENTITY gnome-desktop-version        "3.6.1">
@@ -703,37 +703,37 @@
 <!-- Chapter 31 -->
 <!-- Applications -->
-<!ENTITY aisleriot-version            "3.6.0">
-<!ENTITY alacarte-version             "0.13.4">
-<!ENTITY baobab-version               "3.6.0">
+<!ENTITY aisleriot-version            "3.6.1">
+<!ENTITY alacarte-version             "3.6.1">
+<!ENTITY baobab-version               "3.6.1">
 <!ENTITY brasero-version              "3.6.0">
-<!ENTITY cheese-version               "3.6.0">
-<!ENTITY empathy-version              "3.6.0.1">
-<!ENTITY eog-version                  "3.6.0">
-<!ENTITY epiphany-version             "3.6.0">
+<!ENTITY cheese-version               "3.6.1">
+<!ENTITY empathy-version              "3.6.1">
+<!ENTITY eog-version                  "3.6.1">
+<!ENTITY epiphany-version             "3.6.1">
 <!ENTITY epiphany-extensions-version  "3.6.0">
-<!ENTITY evince-version               "3.6.0">
-<!ENTITY evolution-version            "3.6.0">
-<!ENTITY file-roller-version          "3.6.0">
-<!ENTITY gcalctool-version            "6.6.0">
-<!ENTITY gedit-version                "3.6.0">
+<!ENTITY evince-version               "3.6.1">
+<!ENTITY evolution-version            "3.6.1">
+<!ENTITY file-roller-version          "3.6.1.1">
+<!ENTITY gcalctool-version            "6.6.1">
+<!ENTITY gedit-version                "3.6.1">
 <!ENTITY gnome-color-manager-version  "3.6.0">
-<!ENTITY gnome-contacts-version       "3.6.0">
+<!ENTITY gnome-contacts-version       "3.6.1">
 <!ENTITY gnome-dictionary-version     "3.6.0">
 <!ENTITY gnome-disk-utility-version   "3.6.1">
-<!ENTITY gnome-games-version          "3.6.0.2">
+<!ENTITY gnome-games-version          "3.6.1">
 <!ENTITY gnome-nettool-version        "3.2.0">
 <!ENTITY gnome-screenshot-version     "3.6.0">
 <!ENTITY gnome-search-tool-version    "3.6.0">
-<!ENTITY gnome-system-log-version     "3.6.0">
+<!ENTITY gnome-system-log-version     "3.6.1">
 <!ENTITY gnome-system-monitor-version "3.6.0">
-<!ENTITY gnome-tweak-tool-version     "3.6.0">
-<!ENTITY gucharmap-version            "3.5.99">
+<!ENTITY gnome-tweak-tool-version     "3.6.1">
+<!ENTITY gucharmap-version            "3.6.1">
 <!ENTITY mousetweaks-version          "3.6.0">
-<!ENTITY orca-version                 "3.6.0">
-<!ENTITY seahorse-version             "3.6.0">
+<!ENTITY orca-version                 "3.6.1">
+<!ENTITY seahorse-version             "3.6.1">
 <!ENTITY sound-juicer-version         "3.4.0">
 <!ENTITY totem-version                "3.6.0">
-<!ENTITY vinagre-version              "3.6.0">
-<!ENTITY vino-version                 "3.6.0">
+<!ENTITY vinagre-version              "3.6.1">
+<!ENTITY vino-version                 "3.6.1">
 
 <!-- Chapter 32 -->
@@ -822,5 +822,5 @@
 <!ENTITY faac-version                 "1.28">
 <!ENTITY faad2-version                "2.7">
-<!ENTITY farstream-version            "0.2.0">
+<!ENTITY farstream-version            "0.2.1">
 <!ENTITY flac-version                 "1.2.1">
 <!ENTITY gstreamer-version            "0.10.36">
Index: general/genlib/gmime.xml
===================================================================
--- general/genlib/gmime.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ general/genlib/gmime.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -7,6 +7,6 @@
   <!ENTITY gmime-download-http "&gnome-download-http;/gmime/2.6/gmime-&gmime-version;.tar.xz">
   <!ENTITY gmime-download-ftp  "&gnome-download-ftp;/gmime/2.6/gmime-&gmime-version;.tar.xz">
-  <!ENTITY gmime-md5sum        "4e0d9fc389c840f827c8f139e7417588">
-  <!ENTITY gmime-size          "708 KB">
+  <!ENTITY gmime-md5sum        "0576f5e61133a74de56a187fb4ddae6c">
+  <!ENTITY gmime-size          "712 KB">
   <!ENTITY gmime-buildsize     "20 MB">
   <!ENTITY gmime-time          "0.3 SBU">
Index: gnome/applications/aisleriot.xml
===================================================================
--- gnome/applications/aisleriot.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/aisleriot.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -7,6 +7,6 @@
   <!ENTITY aisleriot-download-http "&gnome-download-http;/aisleriot/3.6/aisleriot-&aisleriot-version;.tar.xz">
   <!ENTITY aisleriot-download-ftp  "&gnome-download-ftp;/aisleriot/3.6/aisleriot-&aisleriot-version;.tar.xz">
-  <!ENTITY aisleriot-md5sum        "7617f90fd9cb198a4eaa865877fe3af2">
-  <!ENTITY aisleriot-size          "4.1 MB">
+  <!ENTITY aisleriot-md5sum        "e30fda02b0fc6ad281e1b9eb0a82319a">
+  <!ENTITY aisleriot-size          "4.0 MB">
   <!ENTITY aisleriot-buildsize     "70 MB">
   <!ENTITY aisleriot-time          "0.5 SBU">
Index: gnome/applications/alacarte.xml
===================================================================
--- gnome/applications/alacarte.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/alacarte.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -5,8 +5,8 @@
   %general-entities;
 
-  <!ENTITY alacarte-download-http "&gnome-download-http;/alacarte/0.13/alacarte-&alacarte-version;.tar.xz">
-  <!ENTITY alacarte-download-ftp  "&gnome-download-ftp;/alacarte/0.13/alacarte-&alacarte-version;.tar.xz">
-  <!ENTITY alacarte-md5sum        "123634cab8d2af0f3ef1ad6404648580">
-  <!ENTITY alacarte-size          "172 KB">
+  <!ENTITY alacarte-download-http "&gnome-download-http;/alacarte/3.6/alacarte-&alacarte-version;.tar.xz">
+  <!ENTITY alacarte-download-ftp  "&gnome-download-ftp;/alacarte/3.6/alacarte-&alacarte-version;.tar.xz">
+  <!ENTITY alacarte-md5sum        "4b801fa3125b82d0a29b4ff83d9e9d5b">
+  <!ENTITY alacarte-size          "176 KB">
   <!ENTITY alacarte-buildsize     "3.4 MB">
   <!ENTITY alacarte-time          "less than 0.1 SBU">
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs70_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/baobab.xml
===================================================================
--- gnome/applications/baobab.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/baobab.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -7,7 +7,7 @@
   <!ENTITY baobab-download-http "&gnome-download-http;/baobab/3.6/baobab-&baobab-version;.tar.xz">
   <!ENTITY baobab-download-ftp  "&gnome-download-ftp;/baobab/3.6/baobab-&baobab-version;.tar.xz">
-  <!ENTITY baobab-md5sum        "799d3b9d5e305487bf933fd538b43425">
-  <!ENTITY baobab-size          "844 KB">
-  <!ENTITY baobab-buildsize     "14 MB">
+  <!ENTITY baobab-md5sum        "ce4f83fbd8abc1d1d694121fd56910b2">
+  <!ENTITY baobab-size          "980 KB">
+  <!ENTITY baobab-buildsize     "16 MB">
   <!ENTITY baobab-time          "0.1 SBU">
 ]>
@@ -120,4 +120,5 @@
         </seg>
         <seg>
+          /usr/lib/baobab,
           /usr/share/baobab and
           /usr/share/help/*/baobab
Index: gnome/applications/cheese.xml
===================================================================
--- gnome/applications/cheese.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/cheese.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -7,5 +7,5 @@
   <!ENTITY cheese-download-http "&gnome-download-http;/cheese/3.6/cheese-&cheese-version;.tar.xz">
   <!ENTITY cheese-download-ftp  "&gnome-download-ftp;/cheese/3.6/cheese-&cheese-version;.tar.xz">
-  <!ENTITY cheese-md5sum        "2c209be1523090841f1270959a72108b">
+  <!ENTITY cheese-md5sum        "5278f0223fb5e25957f20f14716ff760">
   <!ENTITY cheese-size          "3.6 MB">
   <!ENTITY cheese-buildsize     "28 MB">
Index: gnome/applications/empathy.xml
===================================================================
--- gnome/applications/empathy.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/empathy.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -9,5 +9,5 @@
   <!ENTITY empathy-download-ftp  
            "&gnome-download-ftp;/empathy/3.6/empathy-&empathy-version;.tar.xz">
-  <!ENTITY empathy-md5sum        "2f3071116f273e30abaee837c29ecb17">
+  <!ENTITY empathy-md5sum        "f707f5a091150f48247f2cfb463e7b93">
   <!ENTITY empathy-size          "3.3 MB">
   <!ENTITY empathy-buildsize     "105 MB">
Index: gnome/applications/eog.xml
===================================================================
--- gnome/applications/eog.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/eog.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -7,5 +7,5 @@
   <!ENTITY eog-download-http "&gnome-download-http;/eog/3.6/eog-&eog-version;.tar.xz">
   <!ENTITY eog-download-ftp  "&gnome-download-ftp;/eog/3.6/eog-&eog-version;.tar.xz">
-  <!ENTITY eog-md5sum        "57685d2865111a200ad175f397b9e476">
+  <!ENTITY eog-md5sum        "b8345fe47f6079416186655c0e18b817">
   <!ENTITY eog-size          "3.5 MB">
   <!ENTITY eog-buildsize     "55 MB">
Index: gnome/applications/epiphany.xml
===================================================================
--- gnome/applications/epiphany.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/epiphany.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -9,7 +9,7 @@
   <!ENTITY epiphany-download-ftp  
            "&gnome-download-ftp;/epiphany/3.6/epiphany-&epiphany-version;.tar.xz">
-  <!ENTITY epiphany-md5sum        "38100bb96d946d9c12f3660be0c0a64c">
-  <!ENTITY epiphany-size          "2.5 MB">
-  <!ENTITY epiphany-buildsize     "90 MB">
+  <!ENTITY epiphany-md5sum        "8360bd24a673223387c69297e8a710b8">
+  <!ENTITY epiphany-size          "2.4 MB">
+  <!ENTITY epiphany-buildsize     "95 MB">
   <!ENTITY epiphany-time          "0.6 SBU">
 ]>
Index: gnome/applications/evince.xml
===================================================================
--- gnome/applications/evince.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/evince.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -7,5 +7,5 @@
   <!ENTITY evince-download-http "&gnome-download-http;/evince/3.6/evince-&evince-version;.tar.xz">
   <!ENTITY evince-download-ftp  "&gnome-download-ftp;/evince/3.6/evince-&evince-version;.tar.xz">
-  <!ENTITY evince-md5sum        "75f4faaa4394b5750ea8a2c456933922">
+  <!ENTITY evince-md5sum        "e03d1158eeba2f5c693e1a1db58ed1ec">
   <!ENTITY evince-size          "6.2 MB">
   <!ENTITY evince-buildsize     "95 MB">
Index: gnome/applications/evolution.xml
===================================================================
--- gnome/applications/evolution.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/evolution.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -7,5 +7,5 @@
   <!ENTITY evolution-download-http "&gnome-download-http;/evolution/3.6/evolution-&evolution-version;.tar.xz">
   <!ENTITY evolution-download-ftp  "&gnome-download-ftp;/evolution/3.6/evolution-&evolution-version;.tar.xz">
-  <!ENTITY evolution-md5sum        "5ceb71ca0bcc1f706f1a3283585c048c">
+  <!ENTITY evolution-md5sum        "1ee557f05e57f0620a011bd10bdd1370">
   <!ENTITY evolution-size          "12 MB">
   <!ENTITY evolution-buildsize     "455 MB">
Index: gnome/applications/file-roller.xml
===================================================================
--- gnome/applications/file-roller.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/file-roller.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -9,7 +9,7 @@
   <!ENTITY file-roller-download-ftp  
            "&gnome-download-ftp;/file-roller/3.6/file-roller-&file-roller-version;.tar.xz">
-  <!ENTITY file-roller-md5sum        "23b3514c2df2eab3bbe8d8b246e1b20c">
+  <!ENTITY file-roller-md5sum        "b85c1cb8a336287c244d5d4fac9defbe">
   <!ENTITY file-roller-size          "1.5 MB">
-  <!ENTITY file-roller-buildsize     "37 MB">
+  <!ENTITY file-roller-buildsize     "40 MB">
   <!ENTITY file-roller-time          "0.4 SBU">
 ]>
Index: gnome/applications/gcalctool.xml
===================================================================
--- gnome/applications/gcalctool.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/gcalctool.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -7,6 +7,6 @@
   <!ENTITY gcalctool-download-http "&gnome-download-http;/gcalctool/6.6/gcalctool-&gcalctool-version;.tar.xz">
   <!ENTITY gcalctool-download-ftp  "&gnome-download-ftp;/gcalctool/6.6/gcalctool-&gcalctool-version;.tar.xz">
-  <!ENTITY gcalctool-md5sum        "bad1736bd27eff929ccaa03f85fd8cc0">
-  <!ENTITY gcalctool-size          "952 KB">
+  <!ENTITY gcalctool-md5sum        "2f217be89dd6aa72b8a7862f174ef4f9">
+  <!ENTITY gcalctool-size          "948 KB">
   <!ENTITY gcalctool-buildsize     "31 MB">
   <!ENTITY gcalctool-time          "0.2 SBU">
Index: gnome/applications/gedit.xml
===================================================================
--- gnome/applications/gedit.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/gedit.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -7,5 +7,5 @@
   <!ENTITY gedit-download-http "&gnome-download-http;/gedit/3.6/gedit-&gedit-version;.tar.xz">
   <!ENTITY gedit-download-ftp  "&gnome-download-ftp;/gedit/3.6/gedit-&gedit-version;.tar.xz">
-  <!ENTITY gedit-md5sum        "6b483074315a051019822d613a883b97">
+  <!ENTITY gedit-md5sum        "fd07a79e2d87aea8cae3332f06176800">
   <!ENTITY gedit-size          "2.9 MB">
   <!ENTITY gedit-buildsize     "105 MB">
Index: gnome/applications/gnome-contacts.xml
===================================================================
--- gnome/applications/gnome-contacts.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/gnome-contacts.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -9,5 +9,5 @@
   <!ENTITY gnome-contacts-download-ftp  
            "&gnome-download-ftp;/gnome-contacts/3.6/gnome-contacts-&gnome-contacts-version;.tar.xz">
-  <!ENTITY gnome-contacts-md5sum        "dc3725eac3705c15f78024b42a81ee59">
+  <!ENTITY gnome-contacts-md5sum        "2ba1bd06baf0d90af1659ab38dcc75e7">
   <!ENTITY gnome-contacts-size          "596 KB">
   <!ENTITY gnome-contacts-buildsize     "20 MB">
Index: gnome/applications/gnome-games.xml
===================================================================
--- gnome/applications/gnome-games.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/gnome-games.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -9,5 +9,5 @@
   <!ENTITY gnome-games-download-ftp             
            "&gnome-download-ftp;/gnome-games/3.6/gnome-games-&gnome-games-version;.tar.xz">
-  <!ENTITY gnome-games-md5sum                   "8971d723252a5095413b1a9b81fbaa3a">
+  <!ENTITY gnome-games-md5sum                   "4f57151eefcb5de4349c2b5f570eff64">
   <!ENTITY gnome-games-size                     "19 MB">
   <!ENTITY gnome-games-buildsize                "170 MB">
@@ -119,6 +119,5 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr \
-            --localstatedir=/var &amp;&amp;
+<screen><userinput>./configure --prefix=/usr --localstatedir=/var &amp;&amp;
 make</userinput></screen>
 
Index: gnome/applications/gnome-nettool.xml
===================================================================
--- gnome/applications/gnome-nettool.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/gnome-nettool.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -11,6 +11,6 @@
   <!ENTITY gnome-nettool-md5sum        "18b97581aee0d297d9ec5df60b550dc6">
   <!ENTITY gnome-nettool-size          "572 KB">
-  <!ENTITY gnome-nettool-buildsize     "13 MB">
-  <!ENTITY gnome-nettool-time          "0.3 SBU">
+  <!ENTITY gnome-nettool-buildsize     "14 MB">
+  <!ENTITY gnome-nettool-time          "0.1 SBU">
 ]>
 
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs70_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-system-monitor.xml
===================================================================
--- gnome/applications/gnome-system-monitor.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/gnome-system-monitor.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -9,7 +9,7 @@
   <!ENTITY gnome-system-monitor-download-ftp  
            "&gnome-download-ftp;/gnome-system-monitor/3.6/gnome-system-monitor-&gnome-system-monitor-version;.tar.xz">
-  <!ENTITY gnome-system-monitor-md5sum        "320c0881af181b65c96305c15e107187">
+  <!ENTITY gnome-system-monitor-md5sum        "a4f143e1f07455182a7119e9fcc604fc">
   <!ENTITY gnome-system-monitor-size          "2.6 MB">
-  <!ENTITY gnome-system-monitor-buildsize     "34 MB">
+  <!ENTITY gnome-system-monitor-buildsize     "36 MB">
   <!ENTITY gnome-system-monitor-time          "0.4 SBU">
 ]>
Index: gnome/applications/gnome-tweak-tool.xml
===================================================================
--- gnome/applications/gnome-tweak-tool.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/gnome-tweak-tool.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -9,5 +9,5 @@
   <!ENTITY gnome-tweak-tool-download-ftp
            "&gnome-download-ftp;/gnome-tweak-tool/3.6/gnome-tweak-tool-&gnome-tweak-tool-version;.tar.xz">
-  <!ENTITY gnome-tweak-tool-md5sum        "d62297feae5079bd923af6797ed2f17e">
+  <!ENTITY gnome-tweak-tool-md5sum        "82ea8aeb1a1d7fd8532695b743b3a437">
   <!ENTITY gnome-tweak-tool-size          "220 KB">
   <!ENTITY gnome-tweak-tool-buildsize     "3.2 MB">
Index: gnome/applications/gucharmap.xml
===================================================================
--- gnome/applications/gucharmap.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/gucharmap.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -6,8 +6,8 @@
 
   <!ENTITY gucharmap-download-http 
-           "&gnome-download-http;/gucharmap/3.5/gucharmap-&gucharmap-version;.tar.xz">
+           "&gnome-download-http;/gucharmap/3.6/gucharmap-&gucharmap-version;.tar.xz">
   <!ENTITY gucharmap-download-ftp  
-           "&gnome-download-ftp;/gucharmap/3.5/gucharmap-&gucharmap-version;.tar.xz">
-  <!ENTITY gucharmap-md5sum        "13b7af0657443a75713e6b36f0a96523">
+           "&gnome-download-ftp;/gucharmap/3.6/gucharmap-&gucharmap-version;.tar.xz">
+  <!ENTITY gucharmap-md5sum        "89d9042cd3ec011c61958dcd9e45e968">
   <!ENTITY gucharmap-size          "1.9 MB">
   <!ENTITY gucharmap-buildsize     "40 MB">
Index: gnome/applications/orca.xml
===================================================================
--- gnome/applications/orca.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/orca.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -7,5 +7,5 @@
   <!ENTITY orca-download-http "&gnome-download-http;/orca/3.6/orca-&orca-version;.tar.xz">
   <!ENTITY orca-download-ftp  "&gnome-download-ftp;/orca/3.6/orca-&orca-version;.tar.xz">
-  <!ENTITY orca-md5sum        "24854498854852ad45d3ffbd50dab13e">
+  <!ENTITY orca-md5sum        "45d4a94c2411bd2ef148e06fd2de8920">
   <!ENTITY orca-size          "3.6 MB">
   <!ENTITY orca-buildsize     "65 MB">
Index: gnome/applications/seahorse.xml
===================================================================
--- gnome/applications/seahorse.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/seahorse.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -7,6 +7,6 @@
   <!ENTITY seahorse-download-http "&gnome-download-http;/seahorse/3.6/seahorse-&seahorse-version;.tar.xz">
   <!ENTITY seahorse-download-ftp  "&gnome-download-ftp;/seahorse/3.6/seahorse-&seahorse-version;.tar.xz">
-  <!ENTITY seahorse-md5sum        "b76fcc399aa03cbfe160dca4b71c7bc6">
-  <!ENTITY seahorse-size          "1.9 MB">
+  <!ENTITY seahorse-md5sum        "87c495a8f9dd862d1df73cc74fae7861">
+  <!ENTITY seahorse-size          "2.0 MB">
   <!ENTITY seahorse-buildsize     "60 MB">
   <!ENTITY seahorse-time          "0.6 SBU">
Index: gnome/applications/vinagre.xml
===================================================================
--- gnome/applications/vinagre.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/vinagre.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -7,7 +7,7 @@
   <!ENTITY vinagre-download-http "&gnome-download-http;/vinagre/3.6/vinagre-&vinagre-version;.tar.xz">
   <!ENTITY vinagre-download-ftp  "&gnome-download-ftp;/vinagre/3.6/vinagre-&vinagre-version;.tar.xz">
-  <!ENTITY vinagre-md5sum        "dc3dc119f00ff1ca47d59e49b73b71f6">
+  <!ENTITY vinagre-md5sum        "5a8cc6f4788e157d89c17ee830178bed">
   <!ENTITY vinagre-size          "2.4 MB">
-  <!ENTITY vinagre-buildsize     "24 MB">
+  <!ENTITY vinagre-buildsize     "25 MB">
   <!ENTITY vinagre-time          "0.2 SBU">
 ]>
Index: gnome/applications/vino.xml
===================================================================
--- gnome/applications/vino.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/applications/vino.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -7,6 +7,6 @@
   <!ENTITY vino-download-http "&gnome-download-http;/vino/3.6/vino-&vino-version;.tar.xz">
   <!ENTITY vino-download-ftp  "&gnome-download-ftp;/vino/3.6/vino-&vino-version;.tar.xz">
-  <!ENTITY vino-md5sum        "1b562cff393dfef96d962e6e58b05612">
-  <!ENTITY vino-size          "724 KB">
+  <!ENTITY vino-md5sum        "d0fcc8e721d2fb157ece5412b9cdd44d">
+  <!ENTITY vino-size          "728 KB">
   <!ENTITY vino-buildsize     "19 MB">
   <!ENTITY vino-time          "0.2 SBU">
Index: gnome/core/gnome-themes-standard.xml
===================================================================
--- gnome/core/gnome-themes-standard.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/core/gnome-themes-standard.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -9,5 +9,5 @@
   <!ENTITY gnome-themes-standard-download-ftp  
            "&gnome-download-ftp;/gnome-themes-standard/3.6/gnome-themes-standard-&gnome-themes-standard-version;.tar.xz">
-  <!ENTITY gnome-themes-standard-md5sum        "e6ddf0a0620de85ffb019975b832a26b">
+  <!ENTITY gnome-themes-standard-md5sum        "4ee3228e200bc0084a46a774a83d826d">
   <!ENTITY gnome-themes-standard-size          "3.5 MB">
   <!ENTITY gnome-themes-standard-buildsize     "40 MB">
Index: gnome/core/libgee.xml
===================================================================
--- gnome/core/libgee.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ gnome/core/libgee.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -7,6 +7,6 @@
   <!ENTITY libgee-download-http "&gnome-download-http;/libgee/0.6/libgee-&libgee-version;.tar.xz">
   <!ENTITY libgee-download-ftp  "&gnome-download-ftp;/libgee/0.6/libgee-&libgee-version;.tar.xz">
-  <!ENTITY libgee-md5sum        "644ee7b9cadd47a9605359781c0d0b9d">
-  <!ENTITY libgee-size          "432 KB">
+  <!ENTITY libgee-md5sum        "49c89411dbae563974dd7d6025f666b8">
+  <!ENTITY libgee-size          "436 KB">
   <!ENTITY libgee-buildsize     "16 MB">
   <!ENTITY libgee-time          "0.2 SBU">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ introduction/welcome/changelog.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -44,4 +44,19 @@
 
 -->
+    <listitem>
+      <para>October 19th, 2012</para>
+      <itemizedlist>
+        <listitem>
+          <para>[krejzi] - Farstream 0.2.1.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - GMime 2.6.11.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - GNOME Applications 3.6.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>October 18th, 2012</para>
Index: multimedia/libdriv/farstream.xml
===================================================================
--- multimedia/libdriv/farstream.xml	(revision 953836aacfb3543edc1eb22b9ee424f1c6c656f5)
+++ multimedia/libdriv/farstream.xml	(revision 16aa28690aa65ec344b503f0f76c207f6e02383a)
@@ -8,5 +8,5 @@
            "http://freedesktop.org/software/farstream/releases/farstream/farstream-&farstream-version;.tar.gz">
   <!ENTITY farstream-download-ftp  " ">
-  <!ENTITY farstream-md5sum        "efedec4a885170d350b5cc43c933f1c0">
+  <!ENTITY farstream-md5sum        "479c42adf5cc606abcb47d58ed542414">
   <!ENTITY farstream-size          "1.2 MB">
   <!ENTITY farstream-buildsize     "30 MB">