Index: general.ent
===================================================================
--- general.ent	(revision 878e5eee57abd5612495a25ba6cae60c94e723d8)
+++ general.ent	(revision 17a43e4bc556619cc104dddf11389f912147c6fc)
@@ -1,3 +1,3 @@
-<!ENTITY day          "29">
+<!ENTITY day          "30">
 <!ENTITY month        "10">
 <!ENTITY year         "2005">
@@ -421,4 +421,5 @@
 <!ENTITY gnome-keyring-manager-version "2.12.0">
 <!ENTITY gnome-games-version          "2.12.1">
+<!ENTITY totem-version                "1.2.0">
 <!ENTITY gdm-version                  "2.8.0.5">
 
Index: gnome/add/add.xml
===================================================================
--- gnome/add/add.xml	(revision 878e5eee57abd5612495a25ba6cae60c94e723d8)
+++ gnome/add/add.xml	(revision 17a43e4bc556619cc104dddf11389f912147c6fc)
@@ -50,4 +50,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-keyring-manager.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-games.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="totem.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gdm.xml"/>
 
Index: gnome/add/totem.xml
===================================================================
--- gnome/add/totem.xml	(revision 17a43e4bc556619cc104dddf11389f912147c6fc)
+++ gnome/add/totem.xml	(revision 17a43e4bc556619cc104dddf11389f912147c6fc)
@@ -0,0 +1,204 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY totem-download-http "http://ftp.gnome.org/pub/GNOME/sources/totem/1.2/totem-&totem-version;.tar.bz2">
+  <!ENTITY totem-download-ftp  "ftp://ftp.gnome.org/pub/GNOME/sources/totem/1.2/totem-&totem-version;.tar.bz2">
+  <!ENTITY totem-md5sum        "e07aded62a929779a4cd28c16fdb2efd">
+  <!ENTITY totem-size          "1.7 MB">
+  <!ENTITY totem-buildsize     "26.9 MB">
+  <!ENTITY totem-time          "0.6 SBU">
+]>
+
+<sect1 id="totem" xreflabel="Totem-&totem-version;">
+  <?dbhtml filename="totem.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy:$</othername>
+    <date>$Date:$</date>
+  </sect1info>
+
+  <title>Totem-&totem-version;</title>
+
+  <indexterm zone="totem">
+    <primary sortas="a-Totem">Totem</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Totem</title>
+
+    <para>The <application>Totem</application> package contains the official
+    movie player of the GNOME desktop environment based on
+    <application>xine-lib</application> or
+    <application>GStreamer</application>. It features a playlist, a
+    full-screen mode, seek and volume controls, as well as keyboard
+    navigation. This is useful for playing any
+    <application>xine-lib</application> or
+    <application>GStreamer</application> supported file, DVD, VCD or
+    digital CD.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&totem-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&totem-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &totem-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &totem-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &totem-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &totem-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Totem Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para><xref linkend="gnome-icon-theme"/>,
+    <xref linkend="gnome-desktop"/>,
+    <xref linkend="iso-codes"/>,
+    <ulink url="http://www.musicbrainz.org/">libmusicbrainz</ulink> and
+    <xref linkend="xine-lib"/> (default back-end) or
+    <xref linkend="gst-plugins"/> (and <ulink
+    url="http://gstreamer.freedesktop.org/modules/gst-ffmpeg.html">
+    GST FFmpeg plugin</ulink>)</para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para><xref linkend="nautilus"/>,
+    <xref linkend="mozilla"/> or <xref linkend="firefox"/> (to build
+    the browser plug-in, requires <xref linkend="dbus"/> also),
+    <ulink url="http://www.evation.com/libirman/libirman.html">libirman</ulink>,
+    <ulink url="http://www.lirc.org">LIRC</ulink>,
+    <ulink url="http://www.home.unix-ag.org/simon/gromit/">Gromit</ulink>
+    (required for the telestrator mode) and
+    <ulink url="http://sourceforge.net/projects/nv-tv-out/">NvTv Simple</ulink></para>
+
+    <para>Note: <xref linkend="libdvdcss"/> is a run-time requirement if you
+    wish to play encrypted DVDs</para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Totem</title>
+
+    <para>Install <application>Totem</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
+    --libexecdir=`pkg-config --variable=prefix ORBit-2.0`/lib/totem \
+    --localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
+make</userinput></screen>
+
+    <para>This package does not come with a test suite.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><parameter>--localstatedir=/var/lib</parameter>: This switch
+    puts <application>ScrollKeeper</application> files in
+    <filename class="directory">/var/lib/scrollkeeper</filename> instead of
+    <filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
+  
+    <para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
+    puts configuration files in <filename class="directory">/etc/gnome</filename>
+    instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
+
+    <para><option>--enable-vanity</option>: Using this parameter will build the
+    webcam utility (still in development).</para>
+
+  </sect2>
+
+  <sect2 role="configuration">
+    <title>Configuring Totem</title>
+
+    <sect3><title>Configuration Information</title>
+
+      <para>There are no configuration files that need to be directly edited.
+      Configuration is accomplished by setting the desired values in the
+      various menu options accessed via the <command>totem</command> graphical
+      interface.</para>
+
+    </sect3>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>totem, totem-video-thumbnailer and optionally, vanity</seg>
+        <seg>libtotem-plparser.[so,a], a <application>Nautilus</application>
+        extension plugin and optionally, a <application>Mozilla</application>
+        video plugin</seg>
+        <seg>/etc/gnome/gconf/gconf.xml.defaults/apps/totem,
+        /etc/gnome/gconf/gconf.xml.defaults/desktop/gnome/thumbnailers/[many
+        directories],
+        /etc/gnome/gconf/gconf.xml.defaults/desktop/gnome/url-handlers/[many
+        directories],
+        /etc/gnome/gconf/gconf.xml.defaults/schemas/apps/totem,
+        /etc/gnome/gconf/gconf.xml.defaults/schemas/desktop/gnome/thumbnailers/[many
+        directories],
+        /etc/gnome/gconf/gconf.xml.defaults/schemas/desktop/gnome/url-handlers/[many
+        directories],
+        $GNOME_PREFIX/include/totem,
+        $GNOME_PREFIX/lib/totem,
+        $GNOME_PREFIX/share/gnome/help/totem,
+        $GNOME_PREFIX/share/omf/totem and
+        $GNOME_PREFIX/share/totem</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="totem-prog">
+        <term><command>totem</command></term>
+        <listitem>
+          <para>is a GNOME-desktop movie player.</para>
+          <indexterm zone="totem totem-prog">
+            <primary sortas="b-totem">totem</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="totem-video-thumbnailer">
+        <term><command>totem-video-thumbnailer</command></term>
+        <listitem>
+          <para>is a video thumbnailer for the GNOME desktop used internally by
+          GNOME applications such as <application>Nautilus</application> to
+          generate PNG thumbnails of video files. While it is possible to
+          invoke it manually, it is usually done automatically by
+          <application>Nautilus</application>.</para>
+          <indexterm zone="totem totem-video-thumbnailer">
+            <primary sortas="b-totem-video-thumbnailer">totem-video-thumbnailer</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 878e5eee57abd5612495a25ba6cae60c94e723d8)
+++ introduction/welcome/changelog.xml	(revision 17a43e4bc556619cc104dddf11389f912147c6fc)
@@ -43,4 +43,13 @@
 
     <listitem>
+      <para>October 30th, 2005</para>
+      <itemizedlist>
+        <listitem>
+          <para>[randy] - Added new package Totem-1.2.0.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>October 29th, 2005</para>
       <itemizedlist>
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 878e5eee57abd5612495a25ba6cae60c94e723d8)
+++ introduction/welcome/credits.xml	(revision 17a43e4bc556619cc104dddf11389f912147c6fc)
@@ -225,5 +225,5 @@
         Modules, pilot-link, Poppler, PyXML, Samba 3 (many additions), Shadow
         (rewrite), SANE (original instructions by Alex Kloss), SLIB, Stunnel,
-        Sysstat, system-tools-backends and unixODBC:
+        Sysstat, system-tools-backends, Totem and unixODBC:
         <emphasis>Randy McMurchy</emphasis></para>
       </listitem>